Hlavní stránka

Program OPchem a hlavní stránka

 Top Next

Program OPchem tvoří s programem OPstat programový balík OPgm.

Program OPstat zahrnuje moduly

- zadání, úpravu a tisk dat (Data, DriVec)
- úprava a editace spektrálních dat zadaných maticí (Data, Spectral Data Manager)
- konverze dat ze spektrofotometru HP (Data, From HP Waves Manager)
- chemické konstanty a výpočty (ChemCalcul)
- vizualizace a stereochemie molekul v 3D-projekci (Visualizations, MonoMol Viewer)
- vizualizace a vzájemná koordinace více molekul v 3D-projekci (Visualizations, MultiMol Viewer)
- simulace vibračních pohybů molekul v 3D-projekci (IR_Raman)
- vytváření AVI souboru rotující molekuly v 3D-projekci (Visualization, Rotation AVI creator)
- vytváření AVI souboru pohybů molekul v prostoru a změn jejich vazebné a prostorové struktury v 3D-projekci (Visualizations, Movies AVI creator). (připravuje se)
- výpočet rychlostních konstant v kinetických modelech (Kinetics) (připravuje se)
- výpočet rovnovážných konstant v acidobázických a komplexačních rovnováhách (Equlibria)
- operace s textovými výstupy (Results)
- grafický manažer v 2D (Plots)
- vytváření prezentací (Presentation)

Program OPchem je hierarchický, vstup do uvedených základních modulů je možný pouze z hlavní stránky. Základní moduly mohou řetězově volat další moduly, návrat na hlavní stránku je možný pouze uzavřením oken vytvořeného řetězu. Tím je zajištěno, že volané moduly pracují vždy s aktuálními informacemi, zpětně se předávají některé parametry a současně je tak zabráněno chybným operacím ze strany uživatele.

Program OPchem je vybaven kontextovou nápovědou (Help). Nápovědu k položkám v roletovém menu hlavní stránky lze získat po umístění kursoru na příslušnou položku a stisknutím klávesy F1. Nápovědu v každém dalším okně lze pro operace související s tímto oknem získat stisknutím klávesy F1. Mimo hlavní stránku je v každém okně u každého prvku tohoto okna připojena vysvětlující poznámka, která se na chvíli objeví po umístění kursoru na tento prvek.

Program OPchem umožňuje zjistit, zda máte nainstalovanou aktuální verzi kliknutím myší na položku ActInfo (nutné je mít aktivní přístup k internetu !).

Hlavní stránka programu OPchem obsahuje roletové menu pro výběr jednotlivých operací a metod (dále jen ‘‘základní menu‘‘). Operaci nebo metodu vyberte kursorem myši a kliknutím, otevřete tak standardní okno systému Windows nebo okno programu OPchem. V nově otevřeném okně se řiďte nápovědou tohoto okna.

Hlavní stránka programu OPchem slouží též jako šetřič – po určitém počtu otáček molekula začne měnit průměry atomů a vazeb a dále sen pohybuje uvnitř plochy obrazovky.

Nastavení struktury knihoven je uloženo v souboru StructLib v knihovně Program OPgm\Exe. Názvy knihoven je možno měnit podle potřeb uživatele, použité názvy musí korespondovat s názvy fyzicky existujících podknihoven v knihovně Data.


Zadání, úprava a tisk dat

Zadání, úprava a tisk dat (datové manažery)

 Top Previous Next

Základní formou dat v programu OPstat jsou datová matice a řídící vektor.

Datové matice jsou v programu implementovány v jednotném interním formátu kategorizované na soubory s příponou ‘‘dat‘‘ (obecná data), ‘‘plt‘‘ (grafické soubory s výjimkou souborů modulu Presentation) nebo ‘‘sim‘‘ (matice podobnosti v klasifikačních metodách). Implicitní zakončení souborů s datovou maticí je ‘‘dat‘‘.

Údaje jsou v datové matici uloženy jako znaky a teprve při zpracování se podle potřeby převádějí na čísla. Chybné zadání položek reprezentujících čísla se proto někdy projeví až v okamžiku jejich zpracování podle kontextu. Maximální počet znaků v buňce tabulky s datovou maticí je 10. Při případném převodu řetězce znaků na číslo jsou nadbytečné znaky ignorovány!

Datové matice mohou obsahovat chybějící údaje. Chybějící údaj je reprezentován prázdným znakem (v nutných případech je možno použít mezery, které jsou při zpracování převedeny na prázdný znak). Pokud to podstata prováděných operací dovoluje, jsou chybějící údaje ignorovány a výsledkem operace je opět prázdný znak.

K výběru a identifikaci položek v datové matici se v programu OPstat používají názvy řádků a sloupců. Tyto údaje jsou nedílnou součástí datové matice. Maximální počet znaků v názvu řádku nebo sloupce je 20, nadbytečné znaky jsou ignorovány! Charakter znaků není omezen.

Struktura datové matice zahrnuje

- první řádek s názvy sloupců,

- první sloupec s názvy řádků,

- jejich společnou část s interními kontrolními znaky,

- zbylé řádky a sloupce s daty.

Při exportu do jiných formátů (např. ‘‘csv‘‘, ‘‘xls‘‘) je uvedená struktura dodržena, pro import z jiných formátů je tato struktura závazná.

Řídící vektor je vektor, jehož délka je shodná s počtem sloupců v matici, k níž přísluší. K dané matici lze vytvořit libovolné množství řídících vektorů. Řídící vektor obsahuje znaky, které určují, jaký typ dat sloupec datové matice obsahuje, případně jak má být zpracován. Řídící vektor slouží k rychlé modifikaci vlastností datové matice bez její úpravy.

Implicitní zakončení souborů s řídícím vektorem je ‘‘riv‘‘.


Datová matice

 Top Previous Next

Datovou matici je možno

- zadat
- načíst ze souboru
- získat odečtením souřadnic bodů z grafu
- uložit do souboru
- uložit do souboru s jiným jménem
- zrušit se souborem, v němž je uložena
- prohlédnout a upravit její obsah
- vytisknout její obsah
- vytvořit z jiných datových matic
- exportovat do Excelu nebo importovat z Excelu


Zadání datové matice

Údaje se zadávají po sloupcích.

Pro zadání nové datové matice

1. otevřete hlavní stránku,
2. klikněte na položku Data v základním menu,
3. kliknutím na položku New Data otevřete okno datového manažeru,
4. zadejte počet řádků Row a počet sloupců Col,
5. myší klikněte na buňku 1. řádku a 1. sloupce (světlý podklad),
6. postupně zadávejte vstupní údaje a zadaný údaj v buňce tabulky s datovou maticí odešlete stisknutím klávesy Enter. Po stisknutí klávesy Enter se aktivní buňka posune o řádek níže, popřípadě na začátek nového sloupce,

Pozn.: Uděláte-li chybu či kdykoliv jindy je možno aktivitu buňky přesunout pomocí směrových křížových kláves pro pohyb kursoru. Při zadání nového údaje se původní údaj přepisuje.

7. po zadání datové matice, popřípadě po úpravě jejího obsahu, okno zavřete,

Pozn.: Program automaticky otevře standardní dialog Windows pro uložení souboru.

8. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,

Pozn.: Pokud neuvedete příponu, standardně se použije ‘‘dat‘‘, další akceptované přípony jsou ‘‘plt‘‘ (pro grafické soubory), ‘‘sim‘‘ (matice podobnosti). Použijete-li přípony ‘‘dat‘‘ nebo ‘‘plt‘‘, data se uloží ve formátu OPstat.

9. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.


Načtení datové matice ze souboru

Pro načtení datové matice ze souboru

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Open File otevřete standardní dialog Windows pro načtení souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu.

Pro načtení datové matice ze souboru a otevření editačního manažeru

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Open File & Edit otevřete standardní dialog Windows pro načtení souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu za současného otevření datového manažeru.

S načtenou datovou maticí můžete provádět další operace.


Získání datové matice odečtením souřadnic bodů z grafu

Pro získání datové matice odečtením souřadnic bodů z grafu

1. klikněte na položku Data v základním menu,
2. kliknutím na položku FromPlot otevřete okno modulu,
3. kliknutím na položku Load PlotPict v rámečku Input/Output otevřete standardní dialog Windows pro načtení grafického souboru (formáty “bmp“,”ico“, “jpg”, “gif”),
5. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujte graf do programu,
5. v rámečku Description, do okénka xColName, zadejte název sloupce s popisem osy souřadnic (osa x) a stiskněte klávesu Enter,
6. rámečku Description, do okénka yColName, zadejte název sloupce s popisem osy pořadnic (osa y) a stiskněte klávesu Enter,
7. upravte polohu načteného grafu v grafickém okně tak, aby osy byly rovnoběžné s hranami 120
8. tohoto okna; graf uvnitř grafického okna můžete posouvat pohybem myši se stisknutým pravým tlačítkem v ploše grafického okna, velikost grafu můžete měnit posouváním vertikálního panelu s nápisem Zoom myší se stisknutým levým tlačítkem a natočení grafu můžete měnit posouváním horizontálního panelu s nápisem Rotate myší se stisknutým levým tlačítkem,
9. uchopte myší se stisknutým levým tlačítkem jednotlivé šipky u editačních okének a tažením je umístěte tak, aby zobrazená úsečka pokud možno splývala s krajními souřadnicemi vyznačenými v grafu (čím větší rozdíl ve vzdálenosti krajních souřadnic, tím větší přesnost),
10. do odpovídajících editačních okének vepište příslušné hodnoty souřadnic grafu a odešlete stisknutím klávesy Enter),

Pozn.: Vhodné je zadávat údaje v pořadí, které je indikováno aktivací editačních okének (automatická změna po stisknutí klávesy Enter).

11. v rámečku Description, do okénka RowName, zadejte název aktuálního řádku s popisem bodu, jehož poloha bude snímána a stiskněte klávesu Enter,
12. v ploše grafického okna myší se stisknutým levým tlačítkem co nejpřesněji vymezte polohu bodu s použitím zaměřovacího čtverce v osovém kříži a uvolněte tlačítko myši,
13. kroky 10. a 11. opakujte pro všechny zvolené body.

Pozn.: Během odečítání souřadnic bodů je možno podle potřeby měnit polohu, velikost a natočení grafu podle kroku 7., následně je však nutné vždy upravit lokalizaci souřadnic grafu podle kroků 8. a 9 .

Pro uložení datové matice do souboru

1. kliknutím na položku Save Data v rámečku Input/Output otevřete standardní dialog Windows pro uložení souboru,
2. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru (standardně se použije přípona “dat“),
3. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.


Uložení datové matice do souboru

Pro uložení datové matice do souboru

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Save to File soubor s datovou maticí uložíte s původním jménem.


Uložení matice do souboru s jiným jménem

Uložení datové matice do souboru s jiným jménem

Pro uložení datové matice do souboru s jiným jménem

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Save to File as … otevřete standardní dialog Windows pro uložení souboru,
3. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,

Pozn.: Pokud neuvedete příponu, standardně se použije ‘‘dat‘‘, další akceptovaná přípona je ‘‘plt‘‘ (pro grafické soubory). Použijete-li přípony ‘‘dat’‘ nebo ‘‘plt‘‘, data se uloží ve formátu OPstat..

4. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.


Zrušení datové matice se souborem, v němž je uložena

Pro zrušení datové matice se souborem, v němž je uložena

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Delete File otevřete standardní dialog Windows pro uložení souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru vyvolejte proces zrušení souboru,
5. potvrďte volbu.


Prohlížení a úprava obsahu datové matice

Prohlédnout datovou matici nebo upravit její obsah lze pouze tehdy, je-li zadána, načtena ze souboru nebo načtena ze souboru v okně nějakého modulu. Aktuální je vždy ta datová matice, která byla zavedena jako poslední.

Datovou matici lze editovat ve dvou režimech tabulky - normálním (text “N-mode “ v levém horním rohu tabulky) a rozšířeném (text “E-mode “ v levém horním rohu tabulky). Rozšířený mód zahrnuje především operace s datovými poli. Oba režimy jsou odlišeny podbarvením tabulky.

Pro přepínání mezi režimy tabulky použijte dvojklik na levou horní buňku tabulky.

Pro úpravu obsahu datové matice (editaci)

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Edit otevřete okno pro editaci datové matice,
3. proveďte případné úpravy obsahu datové matice (viz níže),
4. zavřete okno a řiďte se vyvolanou událostí,

Pozn.: Pokud jste provedli nějakou změnu v porovnání se vstupním stavem, otevře se standardní dialog Windows pro uložení souboru s názvem aktuálního souboru v příslušné knihovně, v opačném případě se vrátíte na hlavní stránku.

5. pokud se objeví standardní dialog Windows pro uložení souboru, pak ponechte stávající název souboru nebo vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,

Pozn.: Pokud ponecháte název souboru, uloží se takto. Pokud název souboru změníte a neuvedete příponu, standardně se použije ‘‘dat‘‘, další akceptovaná přípona je ‘‘plt‘‘ (pro grafické soubory) a ‘‘csv‘‘ (obecný textový formát se středníkem jako oddělovačem). Použijete-li přípony ‘‘dat‘‘ nebo ‘‘plt‘‘, data se uloží ve formátu OPstat.

6. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.

Operace v normálním režimu tabulky:

Prohlížení datové matice v tabulce

Datovou matici lze prohlížet v tabulce okna. Pokud rozměry datové matice přesahují rozměry tabulky, lze datovou matici prohlížet posunem ukazovátek na připojených lištách nebo s použitím standardních kláves (Home, End, PageUp, PageDown, směrové křížové klávesy). Pro lepší čitelnost dlouhých názvů sloupců lze sloupec rozšířit na maximální délku názvu umístěním kursoru na název sloupce v záhlaví tabulky a stiskem pravého tlačítka myši.

Změna počtu řádků nebo sloupců

Počet řádků nebo sloupců lze změnit přepínačem u symbolů Row (řádky) nebo Col (sloupce), nebo přímo zadáním příslušného počtu do okénka přepínače. Program upraví rozměry tabulky, jsou-li rozměry větší než okno obrazovky, přidají se automaticky lišty.

Kopírování, přidání a odstranění řádků nebo sloupců

Řádek nebo sloupec zkopírujete kliknutím na příkaz Row copy (kopírování řádků) nebo Column copy (kopírování sloupců) v nabídce operací, zadáním názvu nového řádku nebo sloupce a po potvrzení klávesou Enter následným kliknutím na název řádku nebo sloupce, za nějž má být nový řádek nebo sloupec vložen. Řádek nebo sloupec vložíte kliknutím na příkaz Row Insert (vložení řádků) nebo Column insert (vložení sloupců) v nabídce operací, zadáním názvu nového řádku nebo sloupce a po potvrzení klávesou Enter následným kliknutím na název řádku nebo sloupce, před nějž má být nový řádek nebo sloupec vložen. Řádek nebo sloupec odstraníte kliknutím na příkaz Row remove (odstranění řádků) nebo Column remove (odstranění sloupců) v nabídce operací a následným kliknutím na název vybraného řádku nebo sloupce.

Změna názvů řádků nebo sloupců

Pro změnu názvu řádku nebo sloupce datové matice nejprve vyvolejte název, který chcete změnit do okénka s názvem aktivního řádku, resp. sloupce. Toho dosáhnete klinutím na název řádku nebo sloupce v tabulce, popřípadě přepínačem pod textem RowName (řádky) nebo ColName (sloupce). V okénku s názvem aktivního řádku, resp. sloupce změňte název, změna se projeví v datové matici v tabulce.

Změna pořadí řádků nebo sloupců

Pro změnu pořadí řádků nebo sloupců datové matice umístěte kursor na název řádku nebo sloupce v tabulce, který chcete přesunout a tažením myší se stisknutým levým tlačítkem umístěte na požadované místo vyznačené kursorem ve tvaru svazku listů (způsob táhni a pusť).

Oprava údaje v datové matici

Opravovat lze pouze údaj v aktivní buňce tabulky. Pro opravu jedné buňky klikněte myší na tuto buňku nebo pomocí směrových křížových kláves na tuto buňku přeneste aktivitu. Přepište údaj a potvrďte klávesou Enter. Při opravě více údajů ve sloupci lze přepisovat údaje stejně, jako při zadávání nových.

Změna polohy údaje v datové matici

Pro změnu polohy údaje v tabulce umístěte kursor na vybranou buňku (nesmí být aktivní), jehož polohu chcete změnit a tažením myší se stisknutým levým tlačítkem umístěte na požadované místo vyznačené kursorem ve tvaru ‘‘pacičky‘‘ (způsob táhni a pusť). Není-li cílová buňka prázdná, je nutno umístění údaje do této buňky potvrdit.

Operace s datovou maticí a transformace sloupců datové matice

Kliknutím myší vyberte požadovanou operaci nebo transformaci z nabídky operací a transformací a dále se řiďte pokyny v horním rámečku. Pokud je výstupem transformovaná veličina, ukládá se na stejný řádek do nového sloupce na konci tabulky a program vyžaduje zadání názvu tohoto sloupce. Chybějí údaje se ignorují a do výsledného sloupce je uložen prázdný znak. Pokud nelze operaci provést, do daného řádku výsledného sloupce se uvede slovo ‘‘ERROR‘‘. Pokud potřebujete provést transformaci řádků, datovou matici transponujete příkazem Transposition v nabídce operací a transformací, proveďte příslušnou transformaci a datovou matici zpětně transponujete do původních rozměrů.

Kontrola dat prostřednictvím závislostí mezi sloupci datové matice

Pro kontrolu dat v datové matici je možno vynášet závislosti mezi sloupci a vyhledávat tak odlehlé body. Potřebný grafický manažer v 2D vyvoláte stisknutím tlačítka Plots. Podle návodu pro tento grafický manažer vyberte dvojici proměnných X a Y. Pro identifikaci odlehlého bodu umístěte kursor na tento vybraný bod a stiskněte levé tlačítko myši. Zobrazí se název řádku a současně se uloží identifikace tohoto bodu do paměti. Po návratu do datového manažeru je v tabulce aktivována buňka na příslušném řádku a ve sloupci odpovídajícímu proměnné zvolené jako závisle proměnná (Y).

Operace v rozšířeném režimu tabulky:

Vyznačení oblasti buněk pro další operace

Pro vyznačení požadované oblasti buněk umístěte kursor myši na začátek požadované oblasti a tažením se stisknutým levým tlačítkem myši oblast vybarvěte. Pro vyznačení celého sloupce nebo několika sloupců umístěte kursor myši na název vybraného sloupce a klikněte na něj, popřípadě táhněte myší se stisknutým levým tlačítkem přes názvy požadovaných sloupců. Stejně postupujte i pro vybraný řádek nebo řádky. Pro vyznačení celé tabulky klikněte na buňku v levém horním rohu tabulky.

Pro vymazání obsahu vyznačené oblasti buněk stiskněte tlačítko Clear.

Pro vyjmutí obsahu vyznačené oblasti buněk a uložení do paměti stiskněte tlačítko Cut.

Pro zkopírováni obsahu vyznačené oblasti buněk do paměti stiskněte tlačítko Copy.

Pro vkopírování oblasti buněk z paměti do požadovaného místa klikněte myší na buňku, která má být levou horní buňkou nové oblasti a stiskněte tlačítko Paste.

Pozn.: Je-li současně spuštěn program MS Excel, je možno pomocí operací Copy a Paste v programu OPchem a v programu MS Excel obousměrně přenášet označené bloky mezi aktivní částí tabulky programu OPchem a listem programu MS Excel.

Pro vložení jednoho nebo více sloupců

1. vyznačte sloupec (spojitou oblast sloupců), před nějž (něž) má být oblast buněk o stejné velikosti vložena a
2. stiskněte tlačítko Insert.

Pro vložení jednoho nebo více řádků

1. vyznačte řádek (spojitou oblast řádků), před nějž (něž) má být oblast buněk o stejné velikosti vložena a
2. stiskněte tlačítko Insert.

Pro odstranění jednoho nebo více sloupců (řádků)

1. označte požadovanou oblast a
2. stiskněte tlačítko Delete.

Pro vyplnění souvislé oblasti buněk řadou hodnot

1. zadejte počáteční hodnotu v okénku označeném x,
2. zadejte inkrement v okénku označeném inc x,
3. vyznačte oblast buněk k vyplnění,
4. oblast vyplňte po sloupcích stisknutím tlačítka Fill Column …, resp. po řádcích stisknutím tlačítka Fill Row …

Pro zaokrouhlení hodnot v exponenciálním tvaru nebo změnu jejich formátu na obecný formát

1. vyznačte požadovanou oblast buněk a
2. stiskněte tlačítko Round se symbolicky vyjádřeným počtem desetinných míst pro zaokrouhlení nebo tlačítko General Fmt pro změnu na obecný formát.


Tisk obsahu datové matice

Pro tisk datové matice

1. klikněte na položku NumStaData v základním menu,
2. kliknutím na položku Print soubor s datovou maticí vytisknete na tiskárně. Výpis obsahuje názvy sloupců a řádků.


Vytvoření datové matice z jiných datových matic

Pro vytvoření datové matice z jiných datových matic je nutné aby počet řádků, resp. počet sloupců původních matic a cílové matice byly stejné.

Pro vytvoření datové matice z jiných datových matic

1. klikněte na položku Data v základním menu,
2. kliknutím na položku BuildMat otevřete okno pro vytvoření datové matice z jiných datových matic,
3. v rámečku Col/Row Switch zvolte, zda budete vytvářet matici po sloupcích, po řádcích nebo rekonstrukcí umožňující kopírování vybraných sloupců pod sebe do nového sloupce a odpovídající duplikaci ostatních ve stávajícím sloupci na počet řádků nové matice,
4. v rámečku Target Rows from File tlačítkem Input otevřete standardní dialog Windows pro načtení souboru,
5. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, ze kterého budou zkopírovány názvy řádků, resp. sloupců do nové datové matice,
6. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. v rámečku Source Matrix tlačítkem Input otevřete standardní dialog Windows pro načtení souboru, ze kterého budou vybrány sloupce do cílové datové matice,
6. kliknutím na název sloupce (řádku) v okně s nabídkou převeďte sloupec (řádek) do cílové datové matice, tento postup pro všechny sloupce (řádky), které mají být převedeny; pokud provádíte rekonstrukci, zvolte bodovým přepínačem v rámečku Reconstruction Switch, zda má být sloupec přidán do nově vytvářeného sloupce nebo duplikován ve sloupci stávajícím,
7. je-li to potřeba, opakujte body 5. a 6. s jinými maticemi,
8. v rámečku Target Matrix tlačítkem Save otevřete standardní dialog Windows pro uložení souboru,
9. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,

Pozn.: Pokud neuvedete příponu, standardně se použije ‘‘dat‘‘, další akceptovaná přípona je ‘‘plt‘‘ (pro grafické soubory). Použijete-li přípony ‘‘dat‘‘ nebo ‘‘plt‘‘, data se uloží ve formátu OPstat.

10. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání,
11. zavřete okno.


Export datové matice do Excelu nebo import z Excelu

Datovou matici ve formátu programu OPstat lze exportovat do formátu tabulkového procesoru Excel. Exportovaný soubor má v Excelu první řádek s názvy sloupců a první sloupec s názvy řádků datové matice. Výsledný blok má o jeden řádek a jeden sloupec více, než exportovaná datová matice. Pokud jsou data v tomto tvaru připravena v Excelu, je možné je importovat do formátu OPstat. Export a import dat z formátu OPstat do Excelu a obráceně lze využít k úpravě datové matice popřípadě k exportům do dalších formátů a z dalších formátů, které program OPstat nepodporuje.

Pro úpravu datové matice v Excelu

1. zadejte nebo načtěte ze souboru datovou matici,
2. kliknutím na položku Editing by Excel otevřete okno Excelu,
3. proveďte potřebné operace,
4. pokud to považujete za vhodné, uložte změny ve formátu Excelu (‘‘xls‘‘),
5. zavřete Excel (následně automaticky proběhne export dat do formátu OPstat),
6. uložte změny ve formátu OPstat.

Při exportu datové matice z OPstat do Excelu

pro následné uložení souboru ve formátu ‘‘xls‘‘ a Excelem podporovaných formátů postupuje stejně, jako v předešlém případě.

Při importu datové matice z Excelu do OPstat

1. nově otevřete program OPstat,
2. kliknutím na položku Editing by Excel otevřete okno Excelu,
3. prostřednictvím Excelu načtěte soubor do okna,
4. zavřete Excel (následně automaticky proběhne export dat do formátu OPstat),
5. uložte data ve formátu OPstat.


Řídící vektor

Řídící vektor je možno

- zadat
- načíst ze souboru
- uložit do souboru
- uložit do souboru s jiným jménem
- zrušit se souborem, v němž je uložen
- prohlédnout nebo upravit jeho obsah
- vytisknout jeho obsah


Zadání řídícího vektoru

Pro zadání řídícího vektoru

1. otevřete hlavní stránku,
2. klikněte na položku DriVec v základním menu,
3. kliknutím na položku New otevřete okno manažeru řídícího vektoru,

kliknutím na tlačítko NewData v rámečku Corresponding Source Matrix otevřete standardní dialog Windows pro otevření souboru,

4. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž je uložena datová matice, ke které má být vytvořen řídící vektor,
5. dvojitým kliknutím na název vybraného souboru importujete data do programu,
6. potvrďte seznámení s faktem, že počet sloupců datové matice a aktuálního řídícího vektoru jsou rozdílné (jedná se o rutinní kontrolu vstupů),
7. k názvům sloupců v tabulce doplňte symboly podle typu (použitelné symboly jsou v tabulce Usable Characters, včetně vysvětlivek), po zadání symbolu se aktivní buňka posune o řádek níže,

Pozn.1: Pokud uvedete nesprávný znak, buňka se vymaže a aktivní buňka se neposune.

Pozn.2: Pro naplnění všech buněk znakem “w” použijte dvojklik ve sloupci zadávaných znaků .

8. po zadání řídícího vektoru okno zavřete,

Pozn.: Program automaticky otevře standardní dialog Windows pro uložení souboru a nastaví cesty do knihovny řídících vektorů příslušné k použité datové matici.

10. do příslušného místa dialogového okna napište název souboru,
11. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.


Načtení řídícího vektoru ze souboru

Pro načtení řídícího vektoru ze souboru

1. klikněte na položku DriVec v základním menu,
2. kliknutím na položku From File otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu.

S načteným řídícím vektorem můžete provádět další operace.


Uložení řídícího vektoru do souboru

Pro uložení řídícího vektoru do souboru

1. klikněte na položku DriVec v základním menu,
2. kliknutím na položku Save to File soubor s datovou maticí uložíte s původním jménem.


Uložení řídícího vektoru do souboru s jiným jménem

Pro uložení řídícího vektoru do souboru s jiným jménem

1. klikněte na položku DriVec v základním menu,
2. kliknutím na položku Save to File as … otevřete standardní dialog Windows pro uložení souboru,
3. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,
4. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.


Zrušení řídícího vektoru se souborem, v němž je uložen

Pro zrušení řídícího vektoru se souborem, v němž je uložen

1. klikněte na položku DriVec v základním menu,
2. kliknutím na položku Delete File otevřete standardní dialog Windows pro uložení souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru vyvolejte proces zrušení souboru,
5. potvrďte volbu.


Prohlédnutí nebo úprava řídícího vektoru

Prohlédnout řídící vektor nebo upravit jeho obsah lze pouze tehdy, je-li zadán, načten ze souboru. Aktuální je vždy ten řídící vektor, který byl zaveden jako poslední.

Pro úpravu obsahu řídícího vektoru (editaci)

1. klikněte na položku Data v základním menu,
2. kliknutím na položku Edit otevřete okno pro editaci řídícího vektoru,
3. proveďte případné úpravy obsahu řídícího vektoru (viz níže),
4. zavřete okno a řiďte se vyvolanou událostí,

Pozn.: Pokud jste provedli nějakou změnu v porovnání se vstupním stavem, otevře se standardní dialog Windows pro uložení souboru s názvem aktuálního souboru v příslušné knihovně, v opačném případě se vrátíte na hlavní stránku.

5. pokud se objeví standardní dialog Windows pro uložení souboru, pak ponechte stávající název souboru nebo vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,
6. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.

Prohlížení řídícího vektoru v tabulce

Řídící vektor lze prohlížet v tabulce okna. Pokud rozměry datové matice přesahují rozměry tabulky, lze datovou matici prohlížet posunem ukazovátek na připojených lištách nebo s použitím standardních kláves (PageUp, PageDown, směrové křížové klávesy nahoru a dolu).

Změna řídícího vektoru

Opravovat lze pouze údaj v aktivní buňce tabulky. Pro opravu symbolu v buňce klikněte myší na tuto buňku nebo pomocí směrových křížových kláves nahoru nebo dolů na tuto buňku přeneste aktivitu a přepište údaj. Při opravě více údajů ve sloupci lze přepisovat údaje stejně, jako při zadávání nových.


Tisk řídícího vektoru

Pro tisk řídícího vektoru

1. klikněte na položku DriVec v základním menu,
2. kliknutím na položku Print soubor s datovou maticí vytisknete na tiskárně. Výpis obsahuje čísla sloupců podle jednotlivých symbolů.


Operace s textovými výstupy (textový manažer)

Textový manažer umožňuje kromě výpisu

- tisk textového souboru na tiskárně
- kopírování výstupního textového souboru
- otevření textového editoru NotePad (Poznámkový blok) obsaženého ve Windows

Pozn.: Pokud je soubor větší, než kapacita objektu, v němž je zobrazen, automaticky se volá a otevře standardní textový editor Windows NotePad (Poznámkový blok), popř. pro velmi velké soubory textový editor WordPad.


Tisk textového souboru na tiskárně

Pro tisk textového souboru na tiskárně

1. klikněte na položku Results v základním menu,
2. kliknutím na položku PrintList otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu (implicitně OPstat\Data\Results) a v ní soubor, v němž je uložen textový soubor (implicitně s příponou ‘‘txt‘‘),
4. dvojitým kliknutím na název vybraného souboru odešlete data na tiskárnu.


Kopírování výstupního textového souboru

Všechny výpočetní moduly programu OPstat exportují výstupní text do souboru ‘‘TempResult.txt‘‘ v knihovně OPstat\Data\Results. Tento výstupní textový soubor lze zkopírovat (např. pro archivaci) do souboru s jiným jménem v jiné knihovně nebo na jiném nosiči.

Pro uložení výstupního textového souboru do souboru s jiným jménem

1. klikněte na položku Results v základním menu,
2. kliknutím na položku Copy otevřete standardní dialog Windows pro uložení souboru,
3. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru, včetně přípony (jedná se o textový soubor, vhodná přípona je ‘‘txt‘‘),
4. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.


Otevření textových editorů NotePad (Poznámkový blok) a WordPad

Pro otevření textového editoru NotePad (Poznámkový blok) obsaženého ve Windows

1. klikněte na položku Results v základním menu,
2. kliknutím na položku NotePad otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu (implicitně OPstat\Data\Results) a v ní soubor, v němž je uložen textový soubor (implicitně s příponou ‘‘txt‘‘),
4. dvojitým kliknutím na název vybraného souboru otevřete textový editor NotePad (Poznámkový blok).

Pozn.: Pokud je soubor velmi velký, místo textového editoru NotePad se automaticky volá a otevře textový editor Windows WordPad.


Grafický manažer v 2D

Grafický manažer 2D-Inspector, 2D-Plots lze využít k rychlé vizuální analýze rozložení dat ve dvou dimenzích os x a y (2D-Inspector) a ke grafickému znázornění závislostí mezi dvěma proměnnými nebo závislostí více proměnných na jedné společné proměnné (2D-Plot). Základním vstupním formátem dat je datová matice, přičemž manažer zobrazuje vztahy mezi dvěma sloupci matice (souřadnice x a y) nebo skupinou sloupců matice a jedním sloupcem matice se společnou proměnnou (souřadnice x, y1, y2, … ). Pro kreslení barevných úseček a křivek jako výstupů z některých datových modulů OPstat využívá vnitřního kódu.

K zobrazení bodu v ploše lze použít kruh, pořadové číslo položky nebo tečku (bod). Tyto symboly lze spojit úsečkou nebo racionálním kubickým spline. Průběh spline lze tažením myší v ploše upravit a vytvořit tak aproximační spline.

Z obrázků vytvořených manažerem v 2D lze na tiskárně pořídit kopii. Pro další grafické úpravy lze obrázky exportovat do modulu Presentation .

Pro použití grafického manažeru v 2D jako samostatného modulu

1. klikněte na položku Plots v základním menu,
2. kliknutím na položku 2D-Inspector, 2D-Plot otevřete standardní dialog Windows pro otevření souboru,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
4. dvojitým kliknutím importujete data do počítače a otevřete manažer.

K načtení nových dat v okně manažeru v 2D

1. stisknutím tlačítka Input v rámečku Input, Copy and Print box otevřete standardní dialog Windows pro otevření souboru,
2. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor, v němž jsou data, která chcete analyzovat (implicitně s příponou ‘‘plt‘‘),
3. dvojitým kliknutím importujte data do počítače.

K zobrazení dat v režimu s jednou hodnotou y

1. zkontrolujte, zda v rámečku MultiPlots je políčko No/Yes prázdné,
2. v souladu s pokyny v horním rámečku vyberte kliknutím v okně s názvy sloupců sloupec reprezentující osu x (osa pořadnic) a sloupec reprezentující osu y (osa souřadnic) a stejně pokračujte i pro další dvojice.

K zobrazení dat v režimu s více hodnotami y

1. v rámečku MultiPlots zaškrtněte políčko No/Yes a případně nastavte výchozí stav tlačítkem Clear,
2. v souladu s pokyny v horním rámečku vyberte kliknutím v okně s názvy sloupců sloupec reprezentující osu x (osa pořadnic),
3. dále stejným způsobem postupně vybírejte sloupce, jejichž obsah má být vynesen na osu y (osa pořadnic),
4. před vynesením nových závislostí nastavte výchozí stav tlačítkem Clear.

K přiřazení určitého bodu objektu (řádku)

1. umístěte kříž kursoru co nejblíže danému bodu (značce),
2. stiskněte levé tlačítko myši.

Pro změnu symbolu bodu

použijte přepínač v rámečku Mark.

Pro změnu velikosti symbolu bodu

nastavte požadovanou hodnotu v okénku Size v rámečku Input and Print Box.

Pro proložení bodů podle pořadí úsečkou

v rámečku Connecting / Smoothing

1. zvolte položku Line,
2. zaškrtněte políčko Connect.

Pro interpolaci bodů podle pořadí racionálním kubickým spline

v rámečku Connecting / Smoothing

1. zvolte položku Curve,
2. zaškrtněte políčko Connect.

Pro aproximaci bodů podle pořadí racionálním kubickým spline

v rámečku Connecting / Smoothing

1. zvolte položku Curve,
2. zaškrtněte políčko Connect,
3. umístěte kursor myši (‘‘pacičku‘‘) do blízkosti bodu, u něhož chcete průběh křivky upravit,
4. stiskněte levé tlačítko myši a tažením ve svislém směru upravte průběh křivky.

Pro zvětšení obrázku

použijte přepínač vlevo od slova Zoom v rámečku Image Tools.

Pro horizontální nebo vertikální posun obrázku

použijte přepínače vlevo od slov Shift in X, resp. Shift in Y.

Pro získání výřezu z obrázku

1. v levém horním rohu předpokládaného výřezu stiskněte pravé tlačítko myši a pohybem myší vytvořte rámeček výřezu,
2. stisknutím tlačítka se symbolem # v rámečku Image Tools výřez zvětšete.

Pro tisk kopie obrázku na tiskárně

V rámečku Input, Copy and Print Box

1. určete velikost čísla v pixelech, pokud budou body reprezentovány čísly,
2. zadejte hustotu bodů na tiskárně (v okénku je číslo odvozené z údajů připojené tiskárny),
3. stisknutím tlačítka Print odešlete obrázek na tiskárnu.

Pro export obrázku do modulu Presentation

Po nakreslení závislosti v rámečku Modul Presentation

1. stiskněte tlačítko Export and run,
2. dále postupujte podle návodu k modulu Presentation.


Úprava a editace spektrálních dat zadaných maticí

Modul umožňuje zobrazovat spektra, vytvářet výřezy z těchto spekter a generovat příslušné datové matice z matice spektrálních dat. Spektrální data musejí mít formu matice OPgm (přípona ‘‘dat‘‘), v níž první řádek obsahuje hodnoty vlnových délek a v dalších řádcích jsou k těmto vlnovým délkám příslušné absorbance (jeden řádek matice – jedna spektrální křivka).

Pro nakreslení spektra (spekter)

1. otevřete hlavní stránku,
2. klikněte na položku Data v základním menu,
3. kliknutím na položku Spectral Data Manager otevřete standardní dialog Windows pro načtení souboru,
4. vyberte soubor, popřípadě vyberte knihovnu (standardně knihovna Waves) a v ní soubor se spektrálními daty,
5. dvojitým kliknutím na název vybraného souboru importujete data do programu. Pokud mají data správný formát, zobrazí se okno s nakresleným spektrem (spektry), první křivka v pořadí je nakreslena červenou barvou, název přiřazený ke spektru (název příslušného řádku datové matici) je v okénku “Name“.

Pro načtení jiných dat v již otevřeném okně

klikněte na tlačítko Input of Data a dále postupujte od bodu 4. předcházejících pokynů.

Pro zvýraznění zvolené spektrální křivky červenou barvou

použijte buď přepínač “Curve no.“ (pořadové číslo odpovídá pořadí spektra v datové matici, tj. číslo řádku +1) nebo umístěte kursor myši na zvolenou spektrální křivku a stiskněte levé tlačítko. Název přiřazený spektrální křivce (název příslušného řádku datové matici) je v editačním okénku “Name“.

Pro změnu názvu zvolené spektrální křivky

1. Spektrální křivku zvýrazněte postupem uvedeným v předchozím odstavci,
2. do editačního okénka s popisem “Name“ vepište nový název a údaj uložte stisknutím klávesy Enter.

Pro odstranění křivky ze souboru

1. Spektrální křivku zvýrazněte postupem uvedeným výše,
2. klikněte na tlačítko “Delete Curve”.

Pro zobrazení a export výřezu spektra v režimu Zoom

1. umístěte kursor myši na tučnou šipku v dolní části svislé úsečky v levé části obrázku a tažením myší se stisknutým levým tlačítkem posuňte tuto úsečku na zvolenou vlnovou délku zobrazující se v připojeném okénku (alternativní možností je vepsat zvolenou hodnotu vlnové délky do připojeného okénka a stisknout klávesu Enter),
2. stejný postup zopakujte s pravou svislou úsečkou,
3. klikněte na tlačítko Zoom,
4. podle potřeby uložte data odpovídající výřezu jako nový soubor kliknutím na tlačítko Save Scrap to File nebo pro další grafické úpravy exportujte do modulu Presentation kliknutím na tlačítko Export and Run,
5. do základního zobrazení se vraťte kliknutím na tlačítko Source.

Pozn.: Pokud chcete exportovat celé spektrum bez úpravy, vynechejte body 1. a 2. těchto pokynů.


Konverze dat ze spektrofotometru HP

Toto je speciální modul pro získání matice spekter z výstupu spektrofotometru HP 8452A jako souborů “wav” pro jedno spektrum (závislost absorbance na vlnové délce).

Pro získání datové matice ze souborů “wav” spektrofotometru HP 8452A

1. vytvořte novou složku v knihovně Waves (…\Program OPgm\Data\Waves),
2. do této složky nahrajte všechny soubory s příponou “wav” vyexportované ze spektrofotometru HP 8452A, otevřete hlavní stránku,
3. klikněte na položku Data v základním menu,
4. kliknutím na položku From HPWaves Manager otevřete okno se zobrazenou strukturo knihoven programů OPgm,
5. klikáním na symboly příslušných knihoven v hierarchii vyhledejte složku obsahující soubory s příponou “wav” (vytvořenou v 1. kroku nebo někdy dříve) a aktivujte ji (ikona otevřené složky a název složky zvýrazněn),
6. kliknutím na tlačítko Choice and set Library otevřete standardní dialog pro zápis, zadejte název souboru, do kterého má být uložena datová matice spektrálních dat, a dialogové okno zavřete.

Struktura datové matice spektrálních dat a práce s ovládacími prvky okna otevřeného podle uvedených pokynů jsou popsány v kapitole Úprava a editace spektrálních dat zadaných maticí


Chemické konstanty a výpočty

Modul se připravuje.


Vizualizace a stereochemie molekul v 3D-projekci

Modul umožňuje

- vstup a výstup dat kódujících třírozměrnou strukturu molekuly,
- vyhledávání struktur,
- zobrazení struktury molekul v 3D-projekci,
- zobrazení struktury molekul v 3D/2D-projekci,
- zobrazení molekulárních orbitalů vytvořených superpozicí atomových a hybridních orbitalů v 3D-projekci,
- odečítání hodnot vnitřních souřadnic molekul a jejich změnu,
- proložení vybraných atomů rovinou,
- zobrazení isopotenciálové plochy molekuly,
- konstrukci a export Z-matice,
- vyhledání a vizualizaci prvků symetrie a zařazení molekul do grupy symetrie,
- vytvoření zrcadlového obrazu a ověření ztotožnitelnosti zrcadlových obrazů,
- vyhledání typu chirality a určení absolutní konfigurace,
- vyhledání dvojných vazeb a určení konfigurace,
- export, import a tisk zobrazených struktur ve vysokém rozlišení.

Pro otevření tohoto modulu klikněte na položky Visualizations, MonoMol Viewer v základním menu.

Vstupní hodnoty pro vizualizaci jsou v souboru “PeriodicTable.txt“ v knihovně Program OPgm.

Formát dat ve sloupcích a typ hodnoty:

1-2 Značka prvku

4-6 Atomové číslo prvku

8-11 Atomový poloměr prvku

13-16, 17-19, 21-23 Barvy použité k označení prvků ve škále RBG (0..254)

25-32 Relativní atomová hmotnost prvku

34, 36, Vaznost prvku

Tyto hodnoty je možno podle potřeby upravovat, musí však být zachován formát dat.


Vstup a výstup dat kódujících třírozměrnou strukturu molekuly

Modul pro vizualizaci a stereochemii molekul nemá implementovány prostředky pro tvorbu a kódování třírozměrné struktury molekul. K tomuto účelu využívá programu ACD/ChemSketch, který lze ve verzi ACD/ChemSketch 10.0 Freeware zdarma stáhnout z http://www.acdlabs.com/download/chemsk.html. Vstupním, výstupním a vnitřním pracovním formátem kódujícím třírozměrnou strukturu molekul a její vlastnosti je Extended Molfile Format (přípona ‘‘mol‘‘) firmy MDL.

Pro přímý import kódu třírozměrné struktury molekuly z programu ACD/ChemSketch

1. otevřete modul Visualization,
2. spusťte program ChemSketch tlačítkem [image] (program ACD/ChemSketch musí být v počítači nainstalován, jinak není toto tlačítko při startu modulu Visualization aktivováno),
3. nakreslete v něm žádanou molekulu, popřípadě ji načtěte ze souboru v příslušném formátu,
4. nástrojem 3D Optimization v programu ChemSketch zoptimalizujte třírozměrnou strukturu nakreslené molekuly,
5. tlačítkem Select/Move (nebo stiskem kláves Ctrl+A) v programu ChemSketch strukturu aktivujte pro export,
6. tlačítky Edit a následně Copy (nebo stiskem kláves Ctrl+C) v programu ChemSketch strukturu nakopírujte do schránky (ClipBoard). Současně s tím se exportují data do modulu Visualization a dojde k zobrazení molekuly v (právě skrytém) okně tohoto modulu. Proto aktivaci okna modulu Visualization zavřete program ChemSketch nebo zmenšete jeho ovládací okno.

Pozn.1: K exportu dat z programu ChemSketch do otevřeného modulu Visualization dojde při každé změně obsahu schránky (ClipBoard) podle bodů 5. a 6.

Pozn.2: Třírozměrnou strukturu molekuly vytvořenou podle bodů 2. až 4. lze z programu ChemSketch též exportovat tlačítky File, Export a výběrem formátu MDL Molfiles (*.mol).

Pro načtení kódu třírozměrné struktury

1. kliknutím na tlačítko [image] na horní liště otevřete standardní dialog,
2. zvolte formát dat (formáty MDL Molfiles – OPchem, přípona “mol“, Tripos, přípona “mol2“, PDB, přípona “pdb“, nebo xyz, přípona “xyz“) a
3. z nabídky vyberte soubor.

Pro uložení kódu třírozměrné struktury (výhradně ve formátu MDL Molfiles, přípona “mol“)

1. uveďte tlačítka do základního 3D-režimu se zobrazením molekuly,
2. kliknutím na tlačítko [image] na horní liště otevřete standardní dialog a
3. soubor uložte.


Vyhledávání struktur

Tento modul slouží k vyhledávání struktur uložených v knihovně … Program OPgm\Data\3DChem.

Kliknutím na tlačítko [image] otevřete okno pro vyhledávání struktur. Přepínači zvolte vyhledávání podle textového řetězce („Search by string“), sumárního vzorce („Search by summary formula“) nebo podle zadané struktury („Search by structure element“).

Po dokončení hledání je možné nalezené struktury zobrazit v 3D-projekci, kliknutím na vybraný název sloučeniny v seznamu, ze zobrazovacího okna zpět se lze vrátit opětovným kliknutím na tlačítko pro vyhledávání struktur.

Pro hledání podle textového řetězce

zadejte chemický název nebo jeho část a stiskněte tlačítko „Enter“ nebo „Search“.

Pro hledání podle sumárního vzorce

zadejte sumární vzorec a stiskněte tlačítko „Enter“ nebo „Search“.

Pro hledání podle zadané struktury

je nutné buď celou strukturu nakreslit v kreslicí části nebo načíst ze souboru kliknutím na tlačítko [image] na ovládacím panelu kreslicí části. Po nakreslení nebo načtení struktury zvolte úroveň prohledávání (nízká – rychleji, ale nemusejí být nalezeny všechny struktury, vysoká – pomaleji, ale s větší jistotou nalezení zadané struktury i ve velkých a členitých molekulách) a stiskněte tlačítko „Search“.

Program záměrně nekontroluje správnou vaznost atomů. Pokud z atomu vychází méně vazeb, než je jeho maximální vaznost, jsou všechny chybějící vazby považovány za jednoduché vazby k libovolnému atomu. Pokud je navázaným atomem jediný uhlík bez dalších vazeb, je hodnocen jako primární. Pokud jsou součástí hledané struktury atomy vodíku, je nutné je explicitně uvést.

Pozn.: Hledání velkých a členitých struktur nebo naopak malých běžných struktur může být časově náročné. Prohledávání můžete zastavit stisknutím tlačítka „Stop“ (na začátku „Search“).

Pro vymazání vstupních i výstupních údajů

použijte tlačítko „Clear“.

Pro zadání chemické značky, která není ve stálé nabídce

1. kliknutím uveďte dvoupolohové tlačítko Xx (symbol po prvním otevření, jinak poslední zadaný) na řídícím panelu kreslicí části do polohy stisknuto,
2. dvojklikem myší na stisknuté tlačítko otevřete editační okno vpravo od tlačítka,
3. zadejte chemickou značku zvoleného atomu (formální správnost je kontrolována),
4. klávesou Enter aktivujte tlačítko s novou chemickou značkou.

Pro nakreslení fragmentu struktury

klinutím uveďte dvoupolohové tlačítko [image] na ovládacím panelu kreslicí části do polohy stisknuto a kliknutím na příslušná tlačítka zvolte chemickou značku atomu a typ vazby.

Kreslení fragmentu struktury kreslením atomů a vazeb

Tažením myší se stisknutým levým tlačítkem po ploše nakreslete vazbu. Po puštění tlačítka myši se nakreslí koncový atom. V kreslení je možno pokračovat z libovolného atomu. Na zvolený atom najeďte hrotem kurzoru v podobě tužky tak, aby se atom zvýraznil (rámeček), stiskněte levé tlačítko myši a tažením nakreslete další vazbu.

Pozn.: Atomy uhlíku uvnitř řetězce tvořeného jednoduchými vazbami se nekreslí.

Chemickou značku nakresleného atomu lze kdykoliv snadno změnit tak, že na ovládacím panelu kreslicí části stisknutím příslušného tlačítka vyberete jinou chemickou značku, na zvolený atom najedete hrotem kurzoru v podobě tužky tak, aby se atom zvýraznil (rámeček) a stisknete levé tlačítko myši.

Typ nakreslené vazby lze kdykoliv změnit tak, že najedete hrotem kurzoru v podobě tužky nad střed zvolené vazby tak, aby se zvýraznila (rámeček) a kliknete levým tlačítkem, podle potřeby i opakovaně. Tímto postupem se typ vazby opakovaně mění v sekvenci jednoduchá vazba, dvojná vazba, trojná vazba a vazba v rezonančním hybridu.

Kreslení fragmentu struktury s použitím templátů

Ke kreslení lze využít i templátů. Kliknutím na příslušné tlačítko na řídícím panelu kreslicí části zvolte templát (změní se na kurzor) a v požadovaném místě jej kliknutím levým tlačítkem myši nakreslete. Pomocí templátů lze sestavovat i větší celky. K již nakreslené struktuře umístěte kurzor s templátem tak, aby se odpovídající atomy co nejvíce překrývaly a klikněte levým tlačítkem myši. Ztotožnění atomů je potvrzeno červenými kroužky kolem příslušných atomů.

Kreslení fragmentu struktury ztotožněním atomů

Při kreslení složitějších struktur lze nejdříve výše popsaným způsobem nakreslit části celku a ty potom spojit prostřednictvím společných atomů.

Po nakreslení částí celku uveďte klinutím tlačítko [image] na řídícím panelu kreslicí části do polohy stisknuto, šipkou kurzoru myši najeďte nad atom určený ke ztotožnění (musí být zvýrazněn rámečkem), tažením se stisknutým levým tlačítkem myši jej umístěte na druhý atom určený ke ztotožnění a po zobrazení červeného kroužku tlačítko myši pusťte.

Pro záměnu chemických značek atomů nebo typů vazeb

lze použít dva způsoby. První v režimu kreslení je popsán výše. Druhou možností je nejdříve označit příslušné atomy nebo vazby a následně je změnit.

K tomu uveďte klinutím tlačítko [image] na řídícím panelu kreslicí části do polohy stisknuto, šipkou kurzoru myši najeďte na atom nebo na střed vazby, jež mají být změněny (musí být zvýrazněny rámečkem) a kliknutím levým tlačítkem myši je označte (černý čtvereček nebo černé čtverečky). Změnu proveďte kliknutím na tlačítko s chemickou značkou příslušného atomu nebo typem příslušné vazby.

Pro odstranění atomu nebo vazby

kliknutím uveďte dvoupolohové tlačítko [image] na řídícím panelu kreslicí části do polohy stisknuto, šipkou kurzoru myši najeďte na atom nebo na střed vazby, jež mají být zrušeny (musí být zvýrazněny rámečkem) a kliknutím levým tlačítkem záměr proveďte.

Pro smazání nakreslené struktury

použijte tlačítko „Clear“ na levém panelu.

Pro uložení nakreslené struktury

použijte tlačítko [image] na řídícím panelu kreslicí části.


Zobrazení struktury molekuly v 3D-projekci

Toto zobrazení je základním zobrazením, které se nastaví po otevření okna.

Barva pozadí

je standardně bílá, alternativní barva je černá. Pro přepnutí mezi barvami pozadí použijte tlačítko [image] .

Pro 3D-rotaci molekuly

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (po otevření okna standardní poloha),
2. pohybem myší se stisknutým levým tlačítkem v ploše nákresny nahoru a dolu rotujte molekulou kolem horizontální osy,
3. pohybem myší se stisknutým levým tlačítkem v ploše nákresny vlevo a vpravo rotujte molekulou kolem vertikální osy,
4. pohybem myší se stisknutým pravým tlačítkem v ploše nákresny vlevo a vpravo rotujte molekulou kolem předozadní osy.

Pro posun molekuly po nákresně

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto,
2. pohybem myší se stisknutým levým tlačítkem v ploše nákresny posunujte molekulu po nákresně.

Pro umístění těžiště molekuly do středu nákresny (centrování)

klikněte na tlačítko [image] .

Pro skrytí/zobrazení vodíků molekuly

použijte dvoupolohové tlačítko [image] (standardní poloha stisknuto).

Pro skrytí/zobrazení násobnosti vazeb a aromaticity

použijte dvoupolohové tlačítko [image] (standardní poloha stisknuto)

Pro označení atomů pořadovým číslem

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro označení atomů chemickými značkami

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro vyplnění ploch krystalografických struktur (upravený datový soubor)

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro zvětšení molekuly

použijte posuvník označený symbolem [image] nad lištou posuvníku.

Pro změnu průměru atomů v zobrazené molekule

použijte posuvník označený symboly [image] nad lištou posuvníku.

Pro změnu průměru vazeb v zobrazené molekule

použijte posuvník označený symboly [image] nad lištou posuvníku.

Pro výběr barvy atomů

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. přepínačem vyberte chemickou značku atomu, jehož barvu chcete změnit,
3. kliknutím na tlačítko Change Color otevřete dialog pro výběr barvy,
4. vyberte nebo upravte barvu a stiskněte tlačítko Ok,
5. kliknutím uveďte dvoupolohové tlačítko [image] do standardní polohy (nestisknuto) a v zobrazeném dialogu tlačítkem Yes potvrďte změnu jako trvalou (uloží se do zdrojového souboru), jinak stiskněte tlačítko No.

Pro zvýšení prostorového vjemu s použitím mlhy

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro přepnutí mezi přímým a perspektivním pohledem

použijte dvoupolohové tlačítko – ve standardní nestisknuté poloze s ikonou [image] (po stisknutí

přímý pohled), resp. ve stisknuté poloze s ikonou [image] (po uvolnění perspektivní pohled).

Nepřetržitou náhodnou skokovou rotaci molekuly kolem těžiště (prezentace)

aktivujte dvojklikem myší v zobrazovací části okna. Tato služba se deaktivuje kliknutím myší v zobrazovací části okna. Interval změny 2s.


Zobrazení struktury molekuly v 3D/2Dprojekci

Pro zobrazení molekuly v 3D/2D projekci

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro skrytí chemických značek atomů v zobrazeném vzorci

kliknutím vypněte zaškrtnutí v zaškrtávacím rámečku označeném Symbols.

Pro zvětšení molekuly

použijte posuvník označený symbolem [image] nad lištou posuvníku.

Pro změnu velikosti chemických značek atomů v zobrazené molekule

použijte posuvník označený symboly c c nad lištou posuvníku.

Pro změnu tloušťky čar vazeb v zobrazené molekule

použijte posuvník označený symboly [image] nad lištou posuvníku.


Zobrazení molekulárních orbitalů vytvořených superpozicí atomových a hybridních orbitalů v 3D-projekci

Pro zobrazení molekulárních orbitalů vytvořených superpozicí existujících atomových p-orbitalů

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro zobrazení molekulárních orbitalů vytvořených superpozicí hybridních orbitalů (pouze volné elektronové páry)

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro zobrazení molekulárních orbitalů vytvořených superpozicí existujících atomových p-orbitalů a hybridních orbitalů (pouze volné elektronové páry)

kliknutím uveďte dvoupolohová tlačítka [image] a [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro změnu průhlednosti zobrazených molekulárních orbitalů

použijte připojený posuvník označený Blending.


Odečítání hodnot vnitřních souřadnic molekuly a jejich změna

Tento modul umožňuje určovat typ zvoleného atomu a měnit jeho asociované vlastnosti, a dále odečítat a měnit vnitřní souřadnice (délka vazby, úhel mezi vazbami, dihedrální a mimorovinný úhel) molekul. Modul umožňuje též vzájemnou rotaci částí molekuly kolem vazby.

Po aktivaci níže uvedených tlačítek lze pohybem myší nad projekcí molekuly lokalizovat atomy. Lokalizovaný atom je v ploše umístěn v okolí kursoru myši a je zvýrazněn oranžovou barvou. Protože se lokalizují atomy umístěné v třírozměrném prostoru (tři souřadnice) prostřednictvím projekce v rovině (dvě souřadnice), nemusí se lokalizace vybraného atomu vždy podařit. Molekulu se proto snažte orientovat vždy tak, aby lokalizovaný atom byl co nejblíže k pozorovateli a vpravo a nahoře od něj bylo zobrazeno co nejméně dalších atomů (tento postup dále označen jako orientace).

Pro určení typu jednoho atomu a změnu jeho asociovaných vlastností

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. molekulu orientujte,
3. pohybem myší lokalizujte zvolený atom a klikněte pravým tlačítkem myši,
4. zobrazenými ovládacími prvky změňte podle potřeby vlastnosti lokalizovaného atomu.

Pro odečtení nebo změnu délky vazby a změnu typu vazby

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. molekulu orientujte,
3. pohybem myší lokalizujte první zvolený atom a klikněte pravým tlačítkem myši,
4. pohybem myší lokalizujte druhý zvolený atom (měl by být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
5. pokud chcete změnit délku vazby, vepište do okénka označeného Bond length novou hodnotu v Ĺ a stiskněte klávesu Enter (první označený atom zůstane v ploše fixován, druhý se posune),
6. pokud chcete změnit typ lokalizované vazby, vyberte z nabídky označené Bond type.

Pozn.: Posune se vždy část molekuly navázaná na druhý zvolený atom. Posunovanou část molekuly lze proto zvolit pořadím označených atomů.

Pro rotaci kolem vazby

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. molekulu orientujte,
3. pohybem myší lokalizujte první zvolený atom (počátek vektoru rotace) a klikněte pravým tlačítkem myši,
4. pohybem myší lokalizujte druhý zvolený atom (konec vektoru rotace, musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
5. na zeleném pracovním panelu vlevo stiskněte tlačítko [image] ,
6. posuvníkem umístěným pod tímto tlačítkem nastavte vzájemné natočení skupin atomů na vybrané vazbě.

Pozn.: Rotuje vždy část molekuly navázaná na druhý zvolený atom (konec vektoru rotace).Rotující část molekuly lze proto zvolit pořadím označených atomů.

Pro odečtení nebo změnu úhlu

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. molekulu orientujte,
3. pohybem myší lokalizujte první zvolený atom a klikněte pravým tlačítkem myši,
4. pohybem myší lokalizujte druhý zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
5. pohybem myší lokalizujte třetí zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
6. pokud chcete změnit úhel, vepište do okénka označeného Angle novou hodnotu a stiskněte klávesu Enter (první dva označené atomy zůstanou v ploše fixovány, třetí se posune).

Pro rotaci molekuly umístěním tří atomů do roviny XY (rovina obrazovky)

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. molekulu orientujte,
3. pohybem myší lokalizujte první zvolený atom a klikněte pravým tlačítkem myši,
4. pohybem myší lokalizujte druhý zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
5. pohybem myší lokalizujte třetí zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
6. na zeleném pracovním panelu vlevo klikněte na tlačítko [image] .

Pro odečtení nebo změnu dihedrálního úhlu

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. molekulu orientujte,
3. pohybem myší lokalizujte první zvolený atom a klikněte pravým tlačítkem myši,
4. pohybem myší lokalizujte druhý zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
5. pohybem myší lokalizujte třetí zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
6. pohybem myší lokalizujte čtvrtý zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem a vytvářet řetězec naznačený ikonou) a klikněte pravým tlačítkem myši,
7. pokud chcete změnit dihedrální úhel, vepište do okénka označeného Dihedral angle novou hodnotu a stiskněte klávesu Enter (první tři označené atomy zůstanou v ploše fixovány, čtvrtý se posune).

Pro odečtení nebo změnu mimorovinného úhlu

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. molekulu orientujte,
3. pohybem myší lokalizujte první zvolený atom a klikněte pravým tlačítkem myši,
4. pohybem myší lokalizujte druhý zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
5. pohybem myší lokalizujte třetí zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
6. pohybem myší lokalizujte čtvrtý zvolený atom (musí být spojen chemickou vazbou s druhým (!!) lokalizovaným atomem a vytvářet trojúhelník naznačený ikonou) a klikněte pravým tlačítkem myši,
7. pokud chcete změnit mimorovinný úhel, vepište do okénka označeného Improper angle novou hodnotu a stiskněte klávesu Enter (první tři označené atomy zůstanou v ploše fixovány, čtvrtý se posune).


Proložení vybraných atomů rovinou

Tento modul umožňuje proložit rovinou libovolně vybrané atomy molekuly.

Po aktivaci příslušného tlačítka lze pohybem myší nad projekcí molekuly lokalizovat atomy. Lokalizovaný atom je v ploše umístěn v okolí kursoru myši a je zvýrazněn oranžovou barvou. Protože se lokalizují atomy umístěné v třírozměrném prostoru (tři souřadnice) prostřednictvím projekce v rovině (dvě souřadnice), nemusí se lokalizace vybraného atomu vždy podařit. Molekulu se proto snažte orientovat vždy tak, aby lokalizovaný atom byl co nejblíže k pozorovateli a vpravo a nahoře od něj bylo zobrazeno co nejméně dalších atomů (tento postup dále označen jako orientace).

Pro proložení vybraných bodů rovinou v 3D prostoru

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. molekulu orientujte,
3. pohybem myší postupně lokalizujte atomy, jimiž má být proložena rovina, a kliknutím pravým tlačítkem myši je aktivujte,
4. dvojklikem v ploše nákresny jimi proložte rovinu.


Zobrazení isopotenciálové plochy molekuly

Modul umožňuje zobrazit isopotenciálovou plochu prostřednictvím výpočtu implicitní plochy kolem atomů. Spojitě lze měnit vlivovou funkci a tedy i tvar isopotenciálové plochy. Modul umožňuje několik typů zobrazení isopotenciálové plochy (plná plocha, drátěný model, tečkovaná plocha, poloprůhledná plocha s nastavitelnou průhledností) a její nastavitelné ořezání v osách x, y a z.

Z výpočtu plochy lze volbou vyloučit libovolné atomy a kombinovat tak např. zobrazení obrysu jedné molekuly a kuličkového zobrazení jiné molekuly. Po aktivaci příslušného tlačítka lze pohybem myší nad projekcí molekuly lokalizovat atomy. Lokalizovaný atom je v ploše umístěn v okolí kursoru myši a je zvýrazněn oranžovou barvou. Protože se lokalizují atomy umístěné v třírozměrném prostoru (tři souřadnice) prostřednictvím projekce v rovině (dvě souřadnice), nemusí se lokalizace vybraného atomu vždy podařit. Molekulu se proto snažte orientovat vždy tak, aby lokalizovaný atom byl co nejblíže k pozorovateli a vpravo a nahoře od něj bylo zobrazeno co nejméně dalších atomů (tento postup dále označen jako orientace).

Pro aktivaci modulu pro zobrazení isopotenciálové plochy molekuly

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto) a na panelu vlevo vyberte a upravte vlastnosti zobrazení.

Pro změnu hodnoty vlivové funkce atomů a tedy i objemu isopotenciálové plochy molekuly

použijte posuvník označený Volume.

Pro změnu barvy isopotenciálové plochy molekuly

1. kliknutím na tlačítko Change Color otevřete dialog pro výběr barvy,
2. vyberte nebo upravte barvu a stiskněte tlačítko Ok.

Pro změnu typu povrchu isopotenciálové plochy molekuly

klikněte na některou z uvedených ikon – Full normal (plná plocha s výpočtem normál pro odraz světla), Full (plná plocha bez výpočtu normál pro odraz světla), Lines (drátěný model), Points (plocha tvořena tečkami), Blend (průhledná plocha) a Blend antialiasing (průhledná plocha s potlačením aliasu). Pokud použijete některou z průhledných ploch, můžete upravit míru průhlednosti posuvníkem označeným AlphaBlend.

Pro vyloučení atomů z výpočtu isopotenciálové plochy molekuly

1. kliknutím uveďte dvoupolohové tlačítko označené Atoms set out do polohy stisknuto (standardní poloha nestisknuto),
2. vyberte takový typ povrchu nebo takovou velikost potenciálu, abyste byli schopni lokalizovat polohu atomů v molekule,
3. molekulu orientujte,
4. pohybem myší postupně lokalizujte atomy, které mají být z výpočtu vyloučeny, a kliknutím pravým tlačítkem myši je aktivujte,
5. kliknutím uveďte dvoupolohové tlačítko označené Atoms set out do polohy nestisknuto stisknuto (standardní poloha), čímž změníte barvu atomů na standardní.

Pro ořezání povrchu isopotenciálové plochy molekuly

použijte posuvníky xLeft stencil (ořezání zleva v ose x), xRight stencil (ořezání zprava v ose x), yLeft stencil (ořezání zleva v ose y), yRight stencil (ořezání zprava v ose y), zLeft stencil (ořezání zleva v ose z) a nebo zRight stencil (ořezání zprava v ose z). K ořezávání dochází v osách odpovídajících zadaným souřadnicím molekuly. Pro ořezání v jiném směru je nutno v základním režimu molekulu vhodně natočit, uložit do souboru a znovu načíst.

Pro změnu hustoty proložení isopotenciálové plochy molekuly

použijte tlačítka označená Density (větší hodnota umožní jemnější prokreslení za cenu zvýšení výpočetních nároků).


Konstrukce a export Z-matice

Z-Matice se v modulu Visualization automaticky generuje pro každou molekulu znovu a používá se pro operace s vnitřními souřadnicemi.

Pro zobrazení Z-matice aktuální molekuly

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Text Z-matice můžete pro další použití uložit do schránky (ClipBoard) kliknutím na tlačítko [image] ,

uložit jako textový soubor kliknutím na tlačítko [image] nebo vytisknout na tiskárně kliknutím na tlačítko [image] .


Vyhledání a vizualizace prvků symetrie a zařazení molekuly do grupy symetrie

Pro vyhledání prvků symetrie a zařazení molekuly do grupy symetrie

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pozn.: Pokud je molekula velká nebo má vysokou symetrii, může tato operace na málo výkonných počítačích trvat několik sekund až několik minut.

Pokud je molekula symetrická, je příslušná grupa symetrie molekuly uvedena v pravém horním rohu zeleného pracovního panelu.

Počty prvků symetrie v molekule

jsou uvedeny v okénku za příslušným symbolem. Pokud je uvedena nula, není tento prvek v molekule přítomen.

Pro grafické zobrazení příslušného prvku symetrie

zaškrtněte související zaškrtávací rámeček, pokud je těchto prvků v molekule více, zobrazí se takto všechny. Pro postupné zobrazení jednotlivých prvků použijte sousedící přepínač (nastaveni na hodnotu 0 zobrazí všechny přítomné prvky).

Pro animaci rotace kolem rotační osy symetrie nebo kolem rotačně-reflexní osy symetrie

1. zaškrtněte zaškrtávací rámeček příslušející zvolenému typu osy,
2. sousedícím přepínačem vyberte konkrétní osu (hodnota v okénku přepínače musí být větší, než 1),
3. umístěte kurzor myši nad tento přepínač a dvojklikem levým tlačítkem myši spusťte animaci.

Pozn.: Animace se ukončí buď vypnutím příslušného zaškrtávacího rámečku, nebo změnou osy sousedícím přepínačem.


Vytvoření zrcadlového obrazu a ověření ztotožnitelnosti zrcadlových obrazů

Pro vytvoření zrcadlového obrazu

klikněte na tlačítko [image] .

Pro ověření ztotožnitelnosti zrcadlových obrazů (chirality)

klikněte na tlačítko [image] . Výsledek se znázorní na levém panelu ve formě textu Chiral (zrcadlové obrazy jsou neztotožnitelné) nebo Achiral (zrcadlové obrazy jsou ztotožnitelné).

Pozn.: Algoritmus analýzy ztotožnitelnosti zrcadlových obrazů je založen výhradně na operacích rotace v prostoru, nedochází tedy k žádným záměnám (byť ekvivalentních) atomů. Výsledek je platný pouze pro molekulu v zobrazeném prostorovém uspořádání. Pokud je zobrazená molekula označena za chirální, bude reálná molekula chirální pouze tehdy, pokud inverzí konfigurace na atomech nebo rotací kolem vazeb nemůže dojít ke ztotožnění jejich zrcadlových obrazů.


Typ chirality a určení absolutní konfigurace

Modul umožňuje nalézt vybrané typy chirality (bodová, osová, helicita, planární), zobrazit rozhodující atomy a určit absolutní konfiguraci. V případě bodové chirality jsou vyhledávány chirální atomy uhlíku, dusíku a síry (v sulfoxidech).

Pro určení osové chirality, helicity a planární chirality

stiskněte tlačítko [image] . Pokud má molekula některý z těchto typů chirality, je typ chirality uveden slovně na zobrazovací ploše a rozhodující atomy jsou označeny fialovou barvou.

Pro vyhledání chirálních center v molekule bodovou chiralitou

stiskněte tlačítko [image] . Chirální atomy jsou v průběhu výpočtu označovány fialovou barvou. Po aktivaci příslušného tlačítka lze pohybem myší nad projekcí molekuly lokalizovat atomy. Lokalizovaný atom je v ploše umístěn v okolí kursoru myši a je zvýrazněn oranžovou barvou. Protože se lokalizují atomy umístěné v třírozměrném prostoru (tři souřadnice) prostřednictvím projekce v rovině (dvě souřadnice), nemusí se lokalizace vybraného atomu vždy podařit. Molekulu se proto snažte orientovat vždy tak, aby lokalizovaný atom byl co nejblíže k pozorovateli a vpravo a nahoře od něj bylo zobrazeno co nejméně dalších atomů (tento postup dále označen jako orientace).

Pro zobrazení absolutní konfigurace na chirálních atomech

1. molekulu orientujte,
2. pohybem myší lokalizujte příslušný chirální atom a kliknutím pravým tlačítkem myši zobrazte absolutní konfiguraci. Současně se fialově označí navázané atomy a jejich priorita (1 je největší). Zobrazení vypnete klinutím pravým tlačítkem myši kdekoliv v zobrazovací ploše.


Vyhledání dvojných vazeb a určení konfigurace

Modul umožňuje vyhledání dvojných vazeb mezi atomy s rozdílnými substituenty a určení cis-trans konfigurace.

Po aktivaci příslušného tlačítka lze pohybem myší nad projekcí molekuly lokalizovat atomy. Lokalizovaný atom je v ploše umístěn v okolí kursoru myši a je zvýrazněn oranžovou barvou. Protože se lokalizují atomy umístěné v třírozměrném prostoru (tři souřadnice) prostřednictvím projekce v rovině (dvě souřadnice), nemusí se lokalizace vybraného atomu vždy podařit. Molekulu se proto snažte orientovat vždy tak, aby lokalizovaný atom byl co nejblíže k pozorovateli a vpravo a nahoře od něj bylo zobrazeno co nejméně dalších atomů (tento postup dále označen jako orientace).

Pro vyhledání dvojných vazeb s rozdílnými substituenty

stiskněte tlačítko [image] . Atomy s rozdílnými substituenty spojené dvojnou vazbou jsou v průběhu výpočtu vyznačovány fialovou barvou.

Pro určení typu cis-trans konfigurace

1. molekulu orientujte,
2. pohybem myší lokalizujte libovolný z atomů dvojné vazby a kliknutím pravým tlačítkem myši zobrazte typ konfigurace. Současně se fialově označí navázané atomy a jejich priorita (1 je největší). Zobrazení vypnete klinutím pravým tlačítkem myši kdekoliv v zobrazovací ploše.


Export, import a tisk zobrazených struktur

K exportu dat v textových a grafických formátech do schránky (ClipBoard) slouží tlačítko [image] . (Podle režimu okna se exportuje současně několik textových a grafických souborů.)

Pro export Z-matice jako textového souboru se řiďte pokyny Konstrukce a export Z-matice.

Pro export zobrazené molekuly (a případně dalších zobrazených prvků) ve vysokém rozlišení ve formátu bitové mapy

1. otevřete navíc grafický editor (např. MS Malování, MS Office PowerPoint) nebo textový editor umožňující vkládání bitových map (např. MS Office Word), do kterých chcete obrázek uložit (dále jen cílový editor),
2. klikněte na tlačítko [image] ,

Pozn.: V režimu 3D zobrazení může vytváření bitové mapy ve vysokém rozlišení trvat několik sekund. Rozlišení může být limitováno velikostí přidělitelné operační paměti.

3. aktivujte okno cílového editoru a s použitím operací pro vložení tohoto editoru obrázek vložte, případně upravte jeho velikost. Při exportu obrázku do textového editoru MS Office Word použijte sled příkazů Úpravy/Vložit jinak/Nezávislá bitová mapa/Ok.

Pro tisk zobrazené molekuly (a případně dalších zobrazených prvků) v rozlišení pro tiskárnu

klikněte na tlačítko

Pro export zobrazené molekuly (a případně dalších zobrazených prvků) do modulu Presentation v rozlišení pro obrazovku

klikněte na tlačítko [image] .

Pro export aktuálního zobrazení do schránky pro další použití

klikněte na tlačítko [image] .

Pozn.: Současně je exportována i bitová mapa (viz výše).


Vizualizace a vzájemná koordinace více molekul v 3D-projekci

Modul umožňuje

- vstup a výstup dat kódujících třírozměrnou strukturu dvou nebo tří molekul,
- zobrazení struktury souboru molekul v 3D-projekci,
- změnu vzájemného prostorového uspořádání dvou nebo tří molekul v 3D-projekci
- odečítání hodnot vnitřních souřadnic molekul a jejich změnu,
- export a tisk zobrazených objektů ve vysokém rozlišení.

Pro otevření tohoto modulu klikněte na položky Visualizations, MultiMol Viewer v základním menu.


Vstup a výstup dat kódujících třírozměrnou strukturu dvou nebo tří molekul

Vstupním, výstupním a vnitřním pracovním formátem kódujícím třírozměrnou strukturu molekul a její vlastnosti je Extended Molfile Format (přípona ‘‘mol‘‘) firmy MDL.

Modul umožňuje nezávisle načíst data pro jednu, dvě nebo tři molekuly. Vstupní souřadnice jsou po načtení automaticky transformovány tak, aby středy (těžiště) jednotlivých molekul ležely v rovině XY (rovina obrazovky).

Po zpracování se data ukládají souhrnně jako jediný soubor ve formátu MDL Molfiles (přípona “mol“).

Pro načtení kódů třírozměrné struktury jednotlivých molekul

1. stisknutím tlačítka s číslem 1, 2 nebo 3 na horní liště zvolte pořadové číslo dané molekuly,
2. kliknutím na související tlačítko [image] na horní liště otevřete standardní dialog,
3. z nabídky vyberte soubor,
4. postup opakujte pro další molekulu (molekuly).

Pro uložení kódu třírozměrné struktury souboru molekul

1. kliknutím na tlačítko [image] na horní liště otevřete standardní dialog a
2. soubor uložte.


Zobrazení struktury souboru molekul v 3D-projekci

Barva pozadí

je standardně bílá, alternativní barva je černá. Pro přepnutí mezi barvami pozadí použijte tlačítko [image] .

Pro 3D-rotaci souboru molekul

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto,
2. pohybem myší se stisknutým levým tlačítkem v ploše nákresny nahoru a dolu rotujte souborem molekul kolem horizontální osy,
3. pohybem myší se stisknutým levým tlačítkem v ploše nákresny vlevo a vpravo rotujte souborem molekul kolem vertikální osy,
4. pohybem myší se stisknutým pravým tlačítkem v ploše nákresny vlevo a vpravo rotujte souborem molekul kolem předozadní osy.

Pro posun souboru molekul po nákresně

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto,
2. pohybem myší se stisknutým levým tlačítkem v ploše nákresny posunujte soubor molekul po nákresně.

Pro umístění těžiště souboru molekul do středu nákresny (centrování)

klikněte na tlačítko [image] .

Pro čelní zobrazení středů (těžišť) všech molekul v rovině XY (rovina obrazovky)

klikněte na tlačítko

Pro zvětšení souboru molekul

použijte posuvník označený symbolem [image] nad lištou posuvníku.

Pro změnu průměru atomů v zobrazených molekulách

použijte posuvník označený symboly [image] nad lištou posuvníku.

Pro změnu průměru vazeb v zobrazených molekulách

použijte posuvník označený symboly [image] nad lištou posuvníku.

Pro zvýšení prostorového vjemu s použitím mlhy

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro přepnutí mezi přímým a perspektivním pohledem

použijte dvoupolohové tlačítko – ve standardní nestisknuté poloze s ikonou [image] (po stisknutí přímý pohled), resp. ve stisknuté poloze s ikonou [image] (po uvolnění perspektivní pohled).

Pro zrcadlové překlopení vybrané molekuly

1. stisknutím tlačítka s číslem 1, 2 nebo 3 na horní liště zvolte pořadové číslo dané molekuly,
2. klikněte na tlačítko [image] .


Změna vzájemného prostorového uspořádání dvou nebo tří molekul v 3D-projekci

Po aktivaci některých níže uvedených tlačítek lze pohybem myší nad projekcí molekuly lokalizovat atomy. Lokalizovaný atom je v ploše umístěn v okolí kursoru myši a je zvýrazněn oranžovou barvou. Protože se lokalizují atomy umístěné v třírozměrném prostoru (tři souřadnice) prostřednictvím projekce v rovině (dvě souřadnice), nemusí se lokalizace vybraného atomu vždy podařit. Molekulu se proto snažte orientovat vždy tak, aby lokalizovaný atom byl co nejblíže k pozorovateli a vpravo a nahoře od něj bylo zobrazeno co nejméně dalších atomů (tento postup dále označen jako orientace).

Pro lepší představu o umístění molekul v prostoru

je možné samostatně zobrazit roviny tvořené dvojicí souřadných os uvedením dvoupolohových tlačítek [image] , [image] , [image] do polohy stisknuto.

Pro změnu vzájemné polohy jednotlivých molekul posunutím

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (na bočním panelu vlevo nahoře se zobrazí relativní poloha těžišť jednotlivých molekul v rovině XY),

Pozn.: Pro správnou prostorovou představu prostřednictvím 3D-zobrazení v nákresně je vhodné nastavit čelní zobrazení středů (těžišť) molekul v rovině XY(rovina obrazovky) kliknutím na tlačítko [image] .

2. na bočním panelu umístěte kurzor myši na pořadové číslo molekuly, jejíž polohu chcete posunutím změnit,
3. pohybem myší se stisknutým levým tlačítkem v ploše bočního panelu upravte podle potřeby vzájemnou polohu středů molekul (změny se promítají v 3D-projekci v ploše nákresny).

Pozn.: Pro proporcionální znázornění v 3D-projekci molekul vzhledem k velikosti a středu nákresny (obrazovky) je vhodné podle potřeby provést příslušnou úpravu tlačítkem [image] .

Pro rotaci molekuly kolem zvoleného atomu ve této molekule

1. klikněte na tlačítko s pořadovým číslem zvolené molekuly,
2. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
3. molekulu orientujte,
4. pohybem myší lokalizujte zvolený atom a klikněte pravým tlačítkem myši (na bočním panelu vlevo nahoře se zobrazí pořadové číslo molekuly),
5. pohybem myší se stisknutým levým tlačítkem v ploše bočního panelu nahoru a dolu rotujte molekulou kolem horizontální osy,
6. pohybem myší se stisknutým levým tlačítkem v ploše bočního panelu vlevo a vpravo rotujte molekulou kolem vertikální osy,
7. pohybem myší se stisknutým pravým tlačítkem v ploše bočního panelu vlevo a vpravo rotujte molekulou kolem předozadní osy.

Pro rotaci části molekuly kolem zvolené vazby v molekule

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. soubor molekul orientujte,
3. pohybem myší lokalizujte první zvolený atom (počátek vektoru rotace) a klikněte pravým tlačítkem myši,
4. pohybem myší lokalizujte druhý zvolený atom (konec vektoru rotace, musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
5. na zeleném pracovním panelu vlevo stiskněte tlačítko [image] s popisem Rotation,
6. posuvníkem umístěným pod tímto tlačítkem nastavte vzájemné natočení skupin atomů na vybrané vazbě (změna úhlu ve stupních od -180 do +180).

Pozn.: Rotuje vždy část molekuly navázaná na druhý zvolený atom (konec vektoru rotace). Rotující část molekuly lze proto zvolit pořadím označených atomů.


Odečítání hodnot vnitřních souřadnic molekuly a jejich změna

Tento modul umožňuje určovat typ zvoleného atomu a měnit jeho asociované vlastnosti, a dále odečítat a měnit vnitřní souřadnice (délka vazby, úhel mezi vazbami, dihedrální a mimorovinný úhel) molekul. Modul umožňuje též vzájemnou rotaci částí molekuly kolem vazby.

Po aktivaci níže uvedených tlačítek lze pohybem myší nad projekcí molekuly lokalizovat atomy. Lokalizovaný atom je v ploše umístěn v okolí kursoru myši a je zvýrazněn oranžovou barvou. Protože se lokalizují atomy umístěné v třírozměrném prostoru (tři souřadnice) prostřednictvím projekce v rovině (dvě souřadnice), nemusí se lokalizace vybraného atomu vždy podařit. Molekulu se proto snažte orientovat vždy tak, aby lokalizovaný atom byl co nejblíže k pozorovateli a vpravo a nahoře od něj bylo zobrazeno co nejméně dalších atomů (tento postup dále označen jako orientace).

Všechny níže popsané operace se vždy provedou jen na jedné molekule (nebo celku několika molekul provázaných navzájem vazbami).

Pro odečtení nebo změnu délky vazby a změnu typu vazby

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. soubor molekul orientujte,
3. pohybem myší lokalizujte první zvolený atom a klikněte pravým tlačítkem myši,
4. pohybem myší lokalizujte druhý zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
5. pokud chcete změnit délku vazby, vepište do okénka označeného Bond length novou hodnotu v Ĺ a stiskněte klávesu Enter (první označený atom zůstane v ploše fixován, druhý se posune),
6. pokud chcete změnit typ lokalizované vazby, vyberte z nabídky označené Bond type.

Pro rotaci kolem vazby

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. soubor molekul orientujte,
3. pohybem myší lokalizujte první zvolený atom (počátek vektoru rotace) a klikněte pravým tlačítkem myši,
4. pohybem myší lokalizujte druhý zvolený atom (konec vektoru rotace, musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
5. na zeleném panelu vlevo stiskněte tlačítko [image] s popisem Rotation,
6. posuvníkem umístěným pod tímto tlačítkem nastavte vzájemné natočení skupin atomů na vybrané vazbě.

Pozn.: Rotuje vždy část molekuly navázaná na druhý zvolený atom (konec vektoru rotace). Rotující část molekuly lze proto zvolit pořadím označených atomů.

Pro odečtení nebo změnu úhlu

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. soubor molekul orientujte,
3. pohybem myší lokalizujte první zvolený atom a klikněte pravým tlačítkem myši,
4. pohybem myší lokalizujte druhý zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
5. pohybem myší lokalizujte třetí zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
6. pokud chcete změnit úhel, vepište do okénka označeného Angle novou hodnotu a stiskněte klávesu Enter (první dva označené atomy zůstanou v ploše fixovány, třetí se posune).

Pro odečtení nebo změnu dihedrálního úhlu

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. soubor molekul orientujte,
3. pohybem myší lokalizujte první zvolený atom a klikněte pravým tlačítkem myši,
4. pohybem myší lokalizujte druhý zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
5. pohybem myší lokalizujte třetí zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
6. pohybem myší lokalizujte čtvrtý zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem a vytvářet řetězec naznačený ikonou) a klikněte pravým tlačítkem myši,
7. pokud chcete změnit dihedrální úhel, vepište do okénka označeného Dihedral angle novou hodnotu a stiskněte klávesu Enter (první tři označené atomy zůstanou v ploše fixovány, čtvrtý se posune).

Pro odečtení nebo změnu mimorovinného úhlu

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto),
2. soubor molekul orientujte,
3. pohybem myší lokalizujte první zvolený atom a klikněte pravým tlačítkem myši,
4. pohybem myší lokalizujte druhý zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
5. pohybem myší lokalizujte třetí zvolený atom (musí být spojen chemickou vazbou s předcházejícím atomem) a klikněte pravým tlačítkem myši,
6. pohybem myší lokalizujte čtvrtý zvolený atom (musí být spojen chemickou vazbou s druhým (!!) lokalizovaným atomem a vytvářet trojúhelník naznačený ikonou) a klikněte pravým tlačítkem myši,
7. pokud chcete změnit mimorovinný úhel, vepište do okénka označeného Improper angle novou hodnotu a stiskněte klávesu Enter (první tři označené atomy zůstanou v ploše fixovány, čtvrtý se posune).


Export a tisk zobrazených objektů

K exportu dat v textových a grafických formátech do schránky (ClipBoard) slouží tlačítko [image] . (Podle režimu okna se exportuje současně několik textových a grafických souborů.)

Pro export zobrazeného souboru molekul (a případně dalších zobrazených prvků) ve vysokém rozlišení ve formátu bitové mapy

1. otevřete navíc grafický editor (např. MS Malování, MS Office PowerPoint) nebo textový editor umožňující vkládání bitových map (např. MS Office Word), do kterých chcete obrázek uložit (dále jen cílový editor),
2. klikněte na tlačítko [image] ,

Pozn.: V režimu 3D zobrazení může vytváření bitové mapy ve vysokém rozlišení trvat několik sekund. Rozlišení může být limitováno velikostí přidělitelné operační paměti.

3. aktivujte okno cílového editoru a s použitím operací pro vložení tohoto editoru obrázek vložte, případně upravte jeho velikost. Při exportu obrázku do textového editoru MS Office Word použijte sled příkazů Úpravy/Vložit jinak/Nezávislá bitová mapa/Ok.

Pro tisk zobrazeného souboru molekul (a případně dalších zobrazených prvků) v rozlišení pro tiskárnu

klikněte na tlačítko [image] .

Pro export zobrazeného souboru molekul (a případně dalších zobrazených prvků) do modulu Presentation v rozlišení pro obrazovku

klikněte na tlačítko [image] .


Simulace vibračních pohybů molekul v 3D-projekci

Modul umožňuje

- vstup dat kódujících třírozměrnou strukturu molekuly,
- zobrazení struktury molekul v 3D-projekci,
- výpočet parametrů vibrace a simulaci vibračních pohybů molekuly v 3D-projekci,

Simulace vibračních pohybů molekul je založena na řešení dynamické soustavy navzájem se ovlivňujících hmotných bodů (atomů) v Kartézských souřadnicích. Využívá řady heuristik a empirických parametrů aplikovatelných na libovolnou molekulu. Při výpočtu se neurčují hodnoty příslušných frekvencí, pořadí vibračních módů proto nemusí odpovídat pořadí skutečných frekvencí ve spektru molekuly. Rotační a translační pohyby molekuly jsou zobrazeny jako poslední módy ze všech teoreticky možných. U symetrických molekul jsou uvedeny reprezentace odpovídající příslušným módům a doplňující informace o změně dipólového momentu (IČ), resp. polarizace (Raman), pokud jsou z hlediska symetrie povoleny.


Vstup dat kódujících třírozměrnou strukturu molekuly

Vstupním, výstupním a vnitřním pracovním formátem kódujícím třírozměrnou strukturu molekul a její vlastnosti je Extended Molfile Format (přípona ‘‘mol‘‘) firmy MDL.

Pro načtení kódu třírozměrné struktury

1. kliknutím na tlačítko [image] na horní liště otevřete standardní dialog,
2. zvolte formát dat (formáty MDL Molfiles – OPchem, přípona “mol“, Tripos, přípona “mol2“ a PDB, přípona “pdb“) a
3. z nabídky vyberte soubor.


Zobrazení struktury molekuly v 3D-projekci

Toto zobrazení je základním zobrazením, které se nastaví po otevření okna.

Barva pozadí

je standardně bílá, alternativní barva je černá. Pro přepnutí mezi barvami pozadí použijte tlačítko [image] .

Pro 3D-rotaci molekuly

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (po otevření okna standardní poloha),
2. pohybem myší se stisknutým levým tlačítkem v ploše nákresny nahoru a dolu rotujte molekulou kolem horizontální osy,
3. pohybem myší se stisknutým levým tlačítkem v ploše nákresny vlevo a vpravo rotujte molekulou kolem vertikální osy,
4. pohybem myší se stisknutým pravým tlačítkem v ploše nákresny vlevo a vpravo rotujte molekulou kolem předozadní osy.

Pro posun molekuly po nákresně

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto,
2. pohybem myší se stisknutým levým tlačítkem v ploše nákresny posunujte molekulu po nákresně.

Pro umístění těžiště molekuly do středu nákresny (centrování)

klikněte na tlačítko [image] .

Pro zobrazení osové soustavy v 3D prostoru

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro zvětšení molekuly

použijte posuvník označený symbolem [image] nad lištou posuvníku.

Pro změnu průměru atomů v zobrazené molekule

použijte posuvník označený symboly [image] nad lištou posuvníku.

Pro změnu průměru vazeb v zobrazené molekule

použijte posuvník označený symboly [image] nad lištou posuvníku.

Pro zvýšení prostorového vjemu s použitím mlhy

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro přepnutí mezi přímým a perspektivním pohledem

použijte dvoupolohové tlačítko – ve standardní nestisknuté poloze s ikonou [image] (po stisknutí přímý pohled), resp. ve stisknuté poloze s ikonou [image] (po uvolnění perspektivní pohled).


Výpočet parametrů vibrace a simulace vibračních pohybů molekuly v 3D-projekci

Pro zobrazení vibračních módů molekuly je nejdříve nutno vypočítat parametry vibrace, tj. symetrii molekuly, změny polohy atomů pro jednotlivé vibrační módy a příslušné reprezentace vibračních módů symetrických molekul. Po ukončení této operace je možno volit zobrazení jednotlivých vibračních módů ve vypočteném pořadí (rotační a translační pohyby molekuly jsou zobrazeny jako poslední módy ze všech teoreticky možných).

Pro výpočet parametrů vibrace

stiskněte tlačítko [image] .

Pozn.: Pokud je molekula velká nebo má vysokou symetrii, může tato operace na málo výkonných počítačích trvat několik sekund až několik minut.

Po ukončení výpočtu se automaticky zobrazí tabulka s nalezenými prvky symetrie. Pokud je molekula symetrická, je příslušná grupa symetrie molekuly uvedena v pravém horním rohu zeleného pracovního panelu.

Počty prvků symetrie v molekule

jsou uvedeny v okénku za příslušným symbolem, pokud je uvedena nula, není tento prvek v molekule přítomen.

Pro grafické zobrazení příslušného prvku symetrie

zaškrtněte související zaškrtávací rámeček, pokud je těchto prvků v molekule více, zobrazí se takto všechny. Pro postupné zobrazení jednotlivých prvků použijte související přepínač (nastaveni na hodnotu 0 zobrazí všechny přítomné prvky).

Pro skrytí tabulky s prvky symetrie

kliknutím uveďte dvoupolohové tlačítko [image] do polohy nestisknuto (standardní poloha stisknuto).

Pro zobrazení vibračního módu molekuly

1. stiskněte tlačítko [image] ,
2. přepínačem Mode zvolte pořadové číslo vibračního módu (je možné též zadat jako celé číslo do okénka).

Pro změnu rychlosti vibrace molekuly

použijte přepínač Speed.


Vytváření AVI souborů rotující molekuly v 3D-projekci

Vytváření AVI souboru rotující molekuly v 3D-projekci

Modul umožňuje

- vstup dat kódujících třírozměrnou strukturu molekuly
- zobrazení struktury molekul v 3D-projekci
- vytvoření sekvence bitových map rotující molekuly v 3D-projekci a AVI souboru
- vytvoření AVI souboru ze sekvence bitových map
- přehrání AVI souboru v okně modulu

Modul generuje sekvenci bitových map a poté volá proceduru převádějící tuto sekvenci na soubor ve formátu AVI. Pro vytvoření souboru ve formátu AVI jsou potřebné kodeky (program nabídne výběr z kodeků instalovaných v počítači). Možnost vytvoření funkčního AVI souboru je závislá na vlastnostech počítače (rychlost procesoru, velikost paměti, rychlost zápisu a čtení při diskových operacích) a na kvalitě použitých kodeků, zejména při generování sekvencí s velkým rozlišením (více než 500 x 500 pixelů) a velkým počtem obrázků (více než 500). Doporučuje se použít kodeky MPEG-4, funkční je Codec package for Windows media player (Codec for IT Professional), který lze volně stáhnout ze stránky firmy Microsoft. Modul má zabudovaný jednoduchý přehrávač AVI souborů.


Vstup dat kódujících třírozměrnou strukturu molekuly

Vstupním, výstupním a vnitřním pracovním formátem kódujícím třírozměrnou strukturu molekul a její vlastnosti je Extended Molfile Format (přípona ‘‘mol‘‘) firmy MDL.

Pro načtení kódu třírozměrné struktury

1. kliknutím na tlačítko [image] na horní liště otevřete standardní dialog,
2. zvolte formát dat (formáty MDL Molfiles – OPchem, přípona “mol“, Tripos, přípona “mol2“, PDB, přípona “pdb“, nebo xyz, přípona “xyz“) a
3. z nabídky vyberte soubor.


Zobrazení struktury molekuly v 3D-projekci

Toto zobrazení je základním zobrazením, které se nastaví po otevření okna.

Barva pozadí

je standardně bílá, alternativní barva je černá. Pro přepnutí mezi barvami pozadí použijte tlačítko [image] .

Pro 3D-rotaci molekuly

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (po otevření okna standardní poloha),
2. aktivujte možnost rotace molekuly kolem zvolené osy zaškrtnutím zaškrtávacího rámečku před popisem úhlu v ose (“Angle“),
3. pohybem myší se stisknutým levým tlačítkem v ploše nákresny nahoru a dolu rotujte molekulou kolem horizontální osy (“Angle Y“) ,
4. pohybem myší se stisknutým levým tlačítkem v ploše nákresny vlevo a vpravo rotujte molekulou kolem vertikální osy (“Angle Z“),
5. pohybem myší se stisknutým pravým tlačítkem v ploše nákresny vlevo a vpravo rotujte molekulou kolem předozadní osy (“Angle X“).

Pozn.: V aktivním režimu lze hodnotu úhlu nastavit též zadáním do připojeného editačního okénka.

Pro posun molekuly po nákresně

1. kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto,
2. pohybem myší se stisknutým levým tlačítkem v ploše nákresny posunujte molekulu po nákresně.

Pro umístění těžiště molekuly do středu nákresny (centrování)

klikněte na tlačítko [image] .

Pro odstranění vodíků z molekuly

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro označení atomů chemickými značkami

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro zobrazení molekulárních orbitalů vytvořených superpozicí existujících atomových p-orbitalů

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro zobrazení molekulárních orbitalů vytvořených superpozicí hybridních orbitalů (pouze volné elektronové páry)

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro zobrazení molekulárních orbitalů vytvořených superpozicí existujících atomových p-orbitalů a hybridních orbitalů (pouze volné elektronové páry)

kliknutím uveďte dvoupolohová tlačítka [image] a [image] do polohy stisknuto (standardní poloha nestisknuto).

Pro změnu průhlednosti zobrazených molekulárních orbitalů

použijte připojený posuvník označený Blending. Posuvník aktivujte zaškrtnutím zaškrtávacího rámečku. Hodnotu lze změnit posuvníkem nebo nastavit zadáním do připojeného editačního okénka.

Pro zvětšení molekuly

použijte posuvník označený symbolem [image] nad lištou posuvníku. Posuvník aktivujte zaškrtnutím zaškrtávacího rámečku. Hodnotu lze změnit posuvníkem nebo nastavit zadáním do připojeného editačního okénka.

Pro změnu průměru atomů v zobrazené molekule

použijte posuvník označený symboly [image] nad lištou posuvníku. Posuvník aktivujte zaškrtnutím zaškrtávacího rámečku. Hodnotu lze změnit posuvníkem nebo nastavit zadáním do připojeného editačního okénka.

Pro změnu průměru vazeb v zobrazené molekule

použijte posuvník označený symboly [image] nad lištou posuvníku. Posuvník aktivujte zaškrtnutím zaškrtávacího rámečku. Hodnotu lze změnit posuvníkem nebo nastavit zadáním do připojeného editačního okénka.

Pro zvýšení prostorového vjemu s použitím mlhy

kliknutím uveďte dvoupolohové tlačítko [image] do polohy stisknuto (standardní poloha nestisknuto).


Vytvoření sekvence bitových map rotující molekuly v 3D-projekci a AVI souboru

Pro náhled vytváření sekvence rotující molekuly

1. zadejte počet snímků (bitových map) do okénka s názvem “Step count“ (čím větší, tím plynulejší animace, ale větší nároky na hardware),
2. klikněte na jedno z tlačítek [image] (rotace kolem osy X), [image] (rotace kolem osy Y), [image] (rotace kolem osy Z), [image] (náhodná rotace) a čekejte na dokončení operace.

Pro vytvoření sekvence rotujících molekul

1. zadejte počet snímků (bitových map) do okénka s názvem “Step count“ (čím větší, tím plynulejší animace, ale větší nároky na hardware),
2. uveďte dvoupolohové tlačítko s nápisem “AVI “ do polohy stisknuto (standardní poloha nestisknuto),
3. zadejte velikost čtvercové bitové mapy v pixelech v okénku s názvem “Width = Height“ (čím větší, tím lepší rozlišení obrazu, ale větší nároky na hardware),
4. zadejte název vytvářeného AVI souboru v okénku s názvem “Name of AVI file“,
5. klikněte na jedno z tlačítek [image] (rotace kolem osy X), [image] (rotace kolem osy Y), [image] (rotace kolem osy Z), [image] (náhodná rotace) a čekejte na dokončení operace, otevření dalšího okna, a dále až do okamžiku zobrazení dialogu pro výběr kodeku,
6. ze seznamu kodeků vyberte požadovaný kodek, upravte případně jeho nastavení a dejte OK,
7. počkejte do zobrazení prvního okna souboru,
8. prostřednictvím přehrávače vytvořený soubor pro kontrolu přehrajte.

Pozn. 1: Kvalita obrazu je dána zvětšením na velikost okna obrazovky, v přehrávačích zachovávajících původní velikost obrázků bude obraz kvalitní.

Pozn. 2: Pokud vytvořený AVI soubor bude nekvalitní nebo chybný (prokmitávající černé plochy nebo zcela černý obraz), zvolte jiný kodek nebo znovu vytvořte sekvenci bitových map s jinou frekvencí a velikostí.


Vytvoření AVI souboru ze sekvence bitových map

Tento postup lze použít pouze tehdy, pokud v příslušné knihovně existují očíslované soubory s bitovými mapami vytvořenými programem OPchem.

Pro vytvoření AVI souboru ze sekvence bitových map

1. klikněte na tlačítko [image] ,
2. po otevření dalšího okna klikněte na tlačítko “Create AVI“ a čekejte až do okamžiku zobrazení dialogu pro výběr kodeku,
3. ze seznamu kodeků vyberte požadovaný kodek, upravte případně jeho nastavení a dejte OK,
4. počkejte do zobrazení prvního okna souboru,
5. prostřednictvím přehrávače vytvořený soubor pro kontrolu přehrajte.


Přehrání AVI souboru v okně modulu

Pro přehrání AVI souboru v okně modulu

1. klikněte na tlačítko [image] ,
2. po otevření dalšího okna klikněte na tlačítko “Open AVI“,
3. v dialogovém okně vyberte AVI soubor určený pro přehrávání a
4. prostřednictvím přehrávače vytvořený soubor přehrajte.


Vytváření AVI souborů pohybů molekul v prostoru a změn jejich vazebné a prostorové struktury v 3D-projekci

Nápověda bude vytvořena po dokončení celého modulu


Rovnováhy

Modul je určen pro výpočet disociačních konstant nebo konstant komplexity (stability) ze spektrálních dat. Vstupní datová matice ve sloupcích obsahuje údaje o analytické koncentraci složek a hodnoty absorbance v závislosti na vlnové délce. Počet vlnových délek (sloupců s hodnotami absorbance) musí být vyšší, než počet použitých koncentrací (řádků). Pro některé modely je nutné znát počáteční a aktuální objem měřeného roztoku, program provádí opravu na zřeďování. Typ údaje ve sloupcích datové matice je určen příslušejícím řídícím vektorem, řídící vektor musí být vytvořen před zahájením výpočtu. Typ a struktura údajů v datové matici a v řídícím vektoru závisejí na zvoleném modelu (viz níže) a jsou kontrolovány.

Modul umožňuje výpočet

- pKa konjugované kyseliny BH+ ke slabé bázi B ze závislosti změny absorbance na pH prostředí,
- pKa slabé kyseliny AH ze závislosti změny absorbance na pH prostředí,
- pKa konjugované kyseliny BH+ ke slabé bázi B ze závislosti změny absorbance na přídavku silné kyseliny (acidobázická titrace),
- pKa slabé kyseliny AH ze závislosti změny absorbance na přídavku silné báze (acidobázická titrace),
- logaritmu konstanty komplexity (stability) log β1/2 (M2L) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace),
- logaritmu konstanty komplexity (stability) log β1 (ML) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace),
- logaritmu konstanty komplexity (stability) log β2 (ML2) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace),
- logaritmů konstant komplexity (stability) log β1/2 (M2L) a log β1 (ML) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace),
- logaritmů konstant komplexity (stability) log β1/2 (M2L) a log β2 (ML2) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace),
- logaritmů konstant komplexity (stability) log β1 (ML) a log β2 (ML2) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace),
- logaritmů konstant komplexity (stability) log β1/2 (M2L), log β1 (ML) a log β2 (ML2) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace).

Pro výpočet disociačních konstant nebo konstant komplexity (stability)

1. klikněte na položky Equilibria/Acid-Base MultiWaves v základním menu,
2. tlačítkem Source matrix X, XY otevřete standardní dialog Windows pro otevření souboru s datovou maticí,
3. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
4. dvojitým kliknutím na název vybraného souboru importujete data do programu,
5. tlačítkem Drive vector otevřete standardní dialog Windows pro otevření souboru s řídícím vektorem,
6. vyberte soubor, popřípadě vyberte knihovnu a v ní soubor,
7. dvojitým kliknutím na název vybraného souboru importujete data do programu,
8. v rámečku Models přepínačem zvolte požadovaný model (viz výše),
9. podle potřeby definujte podmínky výpočtu prostřednictvím ovládacích prvků v rámečku Conditions:

- Regression Diagnostics (regresní diagnostika, výsledky budou exportovány do výstupního textového souboru,

- Residuals to Output (implicitně v souboru ComplResid.plt, knihovna Results,vypočtená rezidua budou též exportována do výstupního textového souboru,

- Weights (při výpočtu se použijí vnitřní váhy vypočtené z reziduí),

- Step (intervalová filtrace pro výpočet, interval mezi vlnovými délkami v zadaných jednotkách vlnových délek, implicitně 0, tj. žádná filtrace),

- Inteligent filter % up (filtrace pro výpočet založená na vypuštění hodnot pro vlnové délky, při kterých je maximální rozdíl absorbancí ve sloupci menší, než zvolený podíl z celkově největšího rozdílu absorbancí v datech, implicitně 0, tj. žádná filtrace),

10. stisknutím tlačítka Run v rámečku Calcul & Results otevřete okno pro optimalizaci neznámých parametrů modelu a proveďte optimalizaci neznámých parametrů,
11. výsledky zobrazte na obrazovce stisknutím tlačítka List nebo vytiskněte na tiskárně stisknutím tlačítka PrintList v rámečku Results.

Pro zobrazení grafických výstupů

je integrován grafický manažer. Graficky lze posoudit

- EFA-profily (Evolving Factor Analysis, implicitně v souboru ComplEfaProfile.plt, knihovna Results), pořadí křivek dáno pořadím změny koncentrace složek, typické pořadí je: výchozí absorbující komponenta, vznikající absorbující složky, absorbující komponenta, která je v závěru měření v nadbytku,

- Plots Conc (implicitně v souboru ComplConc.plt, knihovna Results), závislosti mezi analytickými a aktuálními koncentracemi složek a příslušnými hodnotami zadaných absorbance,

- Plots Eps*Length (implicitně v souboru ComplEpsL.plt, knihovna Results), hodnoty molárních absorpčních koeficientů složek násobenými délkou kyvety (v cm) v závislosti na vlnové dálce,

- Plots Residuals (implicitně v souboru ComplResid.plt, knihovna Results), závislosti mezi predikovanými hodnotami a rezidui, vhodné Yexp(k) na Ypred(k), e(k) na Ypred(k), e(k) na u(k), lze však použít jinou libovolnou kombinaci.


Optimalizace neznámých parametrů modelu

Počáteční odhady neznámých molárních absorpčních molárních koeficientů a logaritmů disociačních konstant nebo logaritmů konstant komplexity (stability) jsou generovány z výpočtu EFA-profilů a není je třeba zadávat. Logaritmy disociačních konstant, resp. logaritmy konstant komplexity (stability) jsou vždy uvedeny jako poslední v zobrazeném seznamu optimalizovaných parametrů. Optimalizované parametry mohou být také zadány nově, opravou stávajících nebo načteny ze souboru, pokud již byl proveden výpočet pro stejný model, stejná dat a stejné podmínky výpočtu.

Pro zadání odhadů regresních parametrů opravou stávajících

klikněte v okně New Parameters na hodnotu parametru, již chcete opravit a v okénku Value v rámečku Optimized Parameters/Input zadejte nový odhad.

Pro zadání odhadů regresních parametrů ze souboru

stiskněte tlačítko ArchiveParam v rámečku Optimized Parameters/Input.

Pro optimalizaci parametrů

1. podle nápovědy zvolte optimalizační metodu,
2. zadejte parametr metody,
3. zadejte počet iterací, tj. počet kroků optimalizace,
4. stisknutím tlačítka příslušného dané metodě proveďte výpočet,
5. zhodnoťte změnu hodnoty reziduální směrodatné odchylky a hodnot parametrů v posledních oknech označených % v rámečku Optimized Parameters,
6. podle výsledků bodu 5. opakujte postup podle bodů 1. až 5. nebo optimalizaci ukončete a zavřete okno stisknutím tlačítka Close.


Výpočet pKa konjugované kyseliny BH+ ke slabé bázi B ze závislosti změny absorbance na pH prostředí

Model

Datová matice musí obsahovat

- sloupec s hodnotami pH (v řídícím vektoru označen h),
- sloupec s hodnotami analytické koncentrace indikátoru (v řídícím vektoru označen l),
- sloupce s hodnotami absorbance v oblasti vlnových délek, kde dochází ke změně spektra se změnou pH (v řídícím vektoru označeny w),
- řádek (řádky) s hodnotami absorbance samotného indikátoru, (ve sloupci pH zadejte 0).

Optimalizují se

- l ε(λ, BH+) pro zadané vlnové délky,
- pKa

Výstupní veličiny

- pKa.
- aktuální koncentrace indikátoru [B] v závislosti na pH,
- aktuální koncentrace konjugované kyseliny indikátoru [BH+] v závislosti na pH,
- l ε(λ, BH+) pro zadané vlnové délky.


Výpočet pKa slabé kyseliny AH ze závislosti změny absorbance na pH prostředí

Model

Datová matice musí obsahovat

- sloupec s hodnotami pH (v řídícím vektoru označen h),
- sloupec s hodnotami analytické koncentrace indikátoru (v řídícím vektoru označen l),
- sloupce s hodnotami absorbance v oblasti vlnových délek, kde dochází ke změně spektra se změnou pH (v řídícím vektoru označeny w),
- řádek (řádky) s hodnotami absorbance samotného indikátoru, (ve sloupci pH zadejte 0).

Optimalizují se

- l ε(λ, A-) pro zadané vlnové délky,
- pKa.

Výstupní veličiny

- pKa
- aktuální koncentrace indikátoru [AH] v závislosti na pH,
- aktuální koncentrace konjugované báze indikátoru [A-] v závislosti na pH,
- l ε(λ, A-) pro zadané vlnové délky.


Výpočet pKa konjugované kyseliny BH+ ke slabé bázi B ze závislosti změny absorbance na přídavku silné kyseliny (acidobázická titrace)

Model

Datová matice musí obsahovat

- sloupec s hodnotami analytické koncentrace kyseliny počítané na počáteční objem (v řídícím vektoru označen h),
- sloupec s hodnotami analytické koncentrace indikátoru počítané na počáteční objem (v řídícím vektoru označen l),
- sloupec s hodnotami celkového objemu měřeného roztoku po přídavcích (v řídícím vektoru označen V),
- sloupce s hodnotami absorbance v oblasti vlnových délek, kde dochází ke změně spektra po přídavku kyseliny (v řídícím vektoru označeny w),
- řádek (řádky) s hodnotami absorbance samotné kyseliny,
- řádek (řádky) s hodnotami absorbance samotného indikátoru.

Optimalizují se

- l ε(λ, BH+) pro zadané vlnové délky,
- pKa.

Výstupní veličiny

- pKa
- aktuální koncentrace indikátoru [B] v závislosti na analytické koncentraci kyseliny,
- aktuální koncentrace konjugované kyseliny indikátoru [BH+] v závislosti na analytické koncentraci kyseliny,
- aktuální koncentrace kyseliny [Acid] v závislosti na analytické koncentraci kyseliny,
- l ε(λ, BH+) pro zadané vlnové délky.


Výpočet pKa slabé kyseliny AH ze závislosti změny absorbance na přídavku silné báze (acidobázická titrace)

Model

Datová matice musí obsahovat

- sloupec s hodnotami analytické koncentrace báze počítané na počáteční objem (v řídícím vektoru označen h),
- sloupec s hodnotami analytické koncentrace indikátoru počítané na počáteční objem (v řídícím vektoru označen l),
- sloupec s hodnotami celkového objemu měřeného roztoku po přídavcích (v řídícím vektoru označen V),
- sloupce s hodnotami absorbance v oblasti vlnových délek, kde dochází ke změně spektra po přídavku báze (v řídícím vektoru označeny w),
- řádek (řádky) s hodnotami absorbance samotné báze,
- řádek (řádky) s hodnotami absorbance samotného indikátoru.

Optimalizují se

- l ε(λ, A-) pro zadané vlnové délky,
- pKa.

Výstupní veličiny

- pKa
- aktuální koncentrace indikátoru [AH] v závislosti na analytické koncentraci báze,
- aktuální koncentrace konjugované báze indikátoru [A-] v závislosti na analytické koncentraci báze,
- aktuální koncentrace báze [Base] na analytické koncentraci báze,
- l ε(λ, A-) pro zadané vlnové délky.


Výpočet logaritmu konstanty komplexity (stability) komplexu M2L ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

Výpočet logaritmu konstanty komplexity (stability) log β21 (M2L) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

 Top Previous Next

Model

Datová matice musí obsahovat

- sloupec s hodnotami analytické koncentrace kovu počítané na počáteční objem (v řídícím vektoru označen m),
- sloupec s hodnotami analytické koncentrace ligandu počítané na počáteční objem (v řídícím vektoru označen l),
- sloupec s hodnotami celkového objemu měřeného roztoku po přídavcích (v řídícím vektoru označen V),
- sloupce s hodnotami absorbance v oblasti vlnových délek, kde dochází ke změně spektra po přídavku kovu (v řídícím vektoru označeny w),
- řádek (řádky) s hodnotami absorbance samotného kovu,
- řádek (řádky) s hodnotami absorbance samotného ligandu.

Optimalizují se

- l ε(λ, M2L) pro zadané vlnové délky,
- log β1/2.

Výstupní veličiny

- log β1/2,
- aktuální koncentrace ligandu [L] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace komplexu [M2L] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace kovu [M] na analytické koncentraci kovu,
- l ε(λ, M2L) pro zadané vlnové délky.


Výpočet logaritmu konstanty komplexity (stability) komplexu ML ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

Výpočet logaritmu konstanty komplexity (stability) log β11 (ML) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

 Top Previous Next

Model

Datová matice musí obsahovat

- sloupec s hodnotami analytické koncentrace kovu počítané na počáteční objem (v řídícím vektoru označen m),
- sloupec s hodnotami analytické koncentrace ligandu počítané na počáteční objem (v řídícím vektoru označen l),
- sloupec s hodnotami celkového objemu měřeného roztoku po přídavcích (v řídícím vektoru označen V),
- sloupce s hodnotami absorbance v oblasti vlnových délek, kde dochází ke změně spektra po přídavku kovu (v řídícím vektoru označeny w),
- řádek (řádky) s hodnotami absorbance samotného kovu,
- řádek (řádky) s hodnotami absorbance samotného ligandu.

Optimalizují se

- l ε(λ, ML) pro zadané vlnové délky,
- log β1.

Výstupní veličiny

- log β1,
- aktuální koncentrace ligandu [L] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace komplexu [ML] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace kovu [M] na analytické koncentraci kovu,
- l ε(λ, ML) pro zadané vlnové délky.


Výpočet logaritmu konstanty komplexity (stability) komplexu ML2 ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

Výpočet logaritmu konstanty komplexity (stability) log β12 (ML2) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

 Top Previous Next

Model

Datová matice musí obsahovat

- sloupec s hodnotami analytické koncentrace kovu počítané na počáteční objem (v řídícím vektoru označen m),
- sloupec s hodnotami analytické koncentrace ligandu počítané na počáteční objem (v řídícím vektoru označen l),
- sloupec s hodnotami celkového objemu měřeného roztoku po přídavcích (v řídícím vektoru označen V),
- sloupce s hodnotami absorbance v oblasti vlnových délek, kde dochází ke změně spektra po přídavku kovu (v řídícím vektoru označeny w),
- řádek (řádky) s hodnotami absorbance samotného kovu,
- řádek (řádky) s hodnotami absorbance samotného ligandu.

Optimalizují se

- l ε(λ, ML2) pro zadané vlnové délky,
- log β2.

Výstupní veličiny

- log β2,
- aktuální koncentrace ligandu [L] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace komplexu [ML2] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace kovu [M] na analytické koncentraci kovu,
- l ε(λ, ML2) pro zadané vlnové délky.


Výpočet logaritmů konstant komplexity (stability) komplexů M2L a ML ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

Výpočet logaritmů konstant komplexity (stability) log β21 (M2L) a log β11 (ML) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

Top Previous Next

Model

Datová matice musí obsahovat

- sloupec s hodnotami analytické koncentrace kovu počítané na počáteční objem (v řídícím vektoru označen m),
- sloupec s hodnotami analytické koncentrace ligandu počítané na počáteční objem (v řídícím vektoru označen l),
- sloupec s hodnotami celkového objemu měřeného roztoku po přídavcích (v řídícím vektoru označen V),
- sloupce s hodnotami absorbance v oblasti vlnových délek, kde dochází ke změně spektra po přídavku kovu (v řídícím vektoru označeny w),
- řádek (řádky) s hodnotami absorbance samotného kovu,
- řádek (řádky) s hodnotami absorbance samotného ligandu.

Optimalizují se

- l ε(λ, M2L) pro zadané vlnové délky,
- l ε(λ, ML) pro zadané vlnové délky,
- log β1/2,
- log β1.

Výstupní veličiny

- log β1/2,
- log β1,
- aktuální koncentrace ligandu [L] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace komplexu [M2L] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace komplexu [ML] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace kovu [M] na analytické koncentraci kovu,
- l ε(λ, M2L) pro zadané vlnové délky,
- l ε(λ, ML) pro zadané vlnové délky.


Výpočet logaritmů konstant komplexity (stability) komplexů M2L a ML2 ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

Výpočet logaritmů konstant komplexity (stability) log β21 (M2L) a log β12 (ML2) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

Top Previous Next

Model

Datová matice musí obsahovat

- sloupec s hodnotami analytické koncentrace kovu počítané na počáteční objem (v řídícím vektoru označen m),
- sloupec s hodnotami analytické koncentrace ligandu počítané na počáteční objem (v řídícím vektoru označen l),
- sloupec s hodnotami celkového objemu měřeného roztoku po přídavcích (v řídícím vektoru označen V),
- sloupce s hodnotami absorbance v oblasti vlnových délek, kde dochází ke změně spektra po přídavku kovu (v řídícím vektoru označeny w),
- řádek (řádky) s hodnotami absorbance samotného kovu,
- řádek (řádky) s hodnotami absorbance samotného ligandu.

Optimalizují se

- l ε(λ, M2L) pro zadané vlnové délky,
- l ε(λ, ML2) pro zadané vlnové délky,
- log β1/2,
- log β2.

Výstupní veličiny

- log β1/2,
- log β2,
- aktuální koncentrace ligandu [L] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace komplexu [M2L] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace komplexu [ML2] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace kovu [M] na analytické koncentraci kovu,
- l ε(λ, M2L) pro zadané vlnové délky,
- l ε(λ, ML2) pro zadané vlnové délky.


Výpočet logaritmů konstant komplexity (stability) komplexů ML a ML2 ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

Výpočet logaritmů konstant komplexity (stability) log β11 (ML) a log β12 (ML2) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

 Top Previous Next

Model

Datová matice musí obsahovat

- sloupec s hodnotami analytické koncentrace kovu počítané na počáteční objem (v řídícím vektoru označen m),
- sloupec s hodnotami analytické koncentrace ligandu počítané na počáteční objem (v řídícím vektoru označen l),
- sloupec s hodnotami celkového objemu měřeného roztoku po přídavcích (v řídícím vektoru označen V),
- sloupce s hodnotami absorbance v oblasti vlnových délek, kde dochází ke změně spektra po přídavku kovu (v řídícím vektoru označeny w),
- řádek (řádky) s hodnotami absorbance samotného kovu,
- řádek (řádky) s hodnotami absorbance samotného ligandu.

Optimalizují se

- l ε(λ, ML) pro zadané vlnové délky,
- l ε(λ, ML2) pro zadané vlnové délky,
- log β1,
- log β2.

Výstupní veličiny

- log β1,
- log β2,
- aktuální koncentrace ligandu [L] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace komplexu [ML] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace komplexu [ML2] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace kovu [M] na analytické koncentraci kovu,
- l ε(λ, ML) pro zadané vlnové délky,
- l ε(λ, ML2) pro zadané vlnové délky.


Výpočet logaritmů konstant komplexity (stability) komplexů M2L, ML a ML2 ze závislosti změny absorbance na přídavku koordinujícího kovu a na přídavku silné kyseliny (komplexometrická titrace)

Výpočet logaritmů konstant komplexity (stability) log β21 (M2L), log β11(ML) a log β12(ML2) ze závislosti změny absorbance na přídavku koordinujícího kovu (komplexometrická titrace)

 Top Previous Next

Model

Datová matice musí obsahovat

- sloupec s hodnotami analytické koncentrace kovu počítané na počáteční objem (v řídícím vektoru označen m),
- sloupec s hodnotami analytické koncentrace ligandu počítané na počáteční objem (v řídícím vektoru označen l),
- sloupec s hodnotami celkového objemu měřeného roztoku po přídavcích (v řídícím vektoru označen V),
- sloupce s hodnotami absorbance v oblasti vlnových délek, kde dochází ke změně spektra po přídavku kovu (v řídícím vektoru označeny w),
- řádek (řádky) s hodnotami absorbance samotného kovu,
- řádek (řádky) s hodnotami absorbance samotného ligandu.

Optimalizují se

- l ε(λ, M2L) pro zadané vlnové délky,
- l ε(λ, ML) pro zadané vlnové délky,
- l ε(λ, ML2) pro zadané vlnové délky,
- log β1/2,
- log β1,
- log β2.

Výstupní veličiny

- log β1/2,
- log β1,
- log β2,
- aktuální koncentrace ligandu [L] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace komplexu [M2L] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace komplexu [ML] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace komplexu [ML2] v závislosti na analytické koncentraci kovu,
- aktuální koncentrace kovu [M] na analytické koncentraci kovu,
- l ε(λ, M2L) pro zadané vlnové délky,
- l ε(λ, ML) pro zadané vlnové délky,
- l ε(λ, ML2) pro zadané vlnové délky.


Kinetiky

Nápověda bude vytvořena po dokončení celého modulu


Vytváření prezentací

Program OPstat má pro potřebu prezentace výsledků integrován modul Presentation. Prostřednictvím modulu Presentation lze vytvořit obrázek ve formě bitové mapy, kterou lze exportovat pro další použití nebo umístit na stránku formátu A4 a po případném doplnění dalšího textu vytisknout na tiskárně. S modulem Presentation lze pracovat samostatně nebo v něm lze zpracovávat výstupy z dalších modulů programu OPstat. Pro vytvoření obrázku v samostatném režimu je určen zvláštní modul, který je volán z hlavní stránky modulu Presentation. Na rozdíl od běžných grafických manažerů je obrázek při kreslení a modifikaci vždy znovu vykreslen ze zadaných dat, což umožňuje vkládat, modifikovat a odebírat jednotlivé objekty beze změny ostatních. Jistou nevýhodou tohoto postupu je na méně výkonných počítačích zpomalená odezva způsobená výpočtem nového obrázku. Kvalita obrázku a délka odezvy jsou závislé na zvolené paletě barev (obvykle 256 až 32bit) a hustotě bitové mapy, přičemž tato hustota je kompromisem mezi vysokým rozlišením tiskárny (300 bpi a více) a monitoru (asi 60 – 80 bpi). Pokud nepožadujete hluboce prokreslené barevné obrázky (velká spotřeba paměti a proto menší rozlišení), je vhodné použít paletu barev 16bit.

Obrázek se vytváří na čtvercové základní pracovní ploše (ZPP). Do obrázku lze samostatně vkládat

- osy a jejich popis,
- obrazce,
- čáry,
- body a jejich popis,
- texty a
- obrázky.

Vytvořený obrázek lze uložit do clipboardu nebo do pracovního souboru (IntPresent.prs). Vložené bitové mapy se ukládají do číslovaných pracovních souborů (IntPresent1.jpg, IntPresnt2.jpg atd.). Vytvořený obrázek se ukládá do bitové mapy pracovního souboru (IntPresent.bmp). Výsledný projekt se integruje a ukládá do souboru s implicitní příponou ‘‘prp‘‘.

Pro vytvoření nové prezentace

1. otevřete hlavní stránku,
2. klikněte na položku Presentation v základním menu,
3. v roletovém menu s textem Pixels rámečku Printable Area (White), Attributes on Paper in mm nastavte paletu barev,

Pozn.1: Krok 3. není nutné provést, pokud vyhovuje implicitní paleta barev 16bit..

Pozn.2: Při výběru v kroku 3. se automaticky nastaví optimální hustota bitové mapy, viz následující krok..

4. v okénku bpi rámečku Printable Area (White), Attributes on Paper in mm případně upravte hustotu bitové mapy,

Pozn.: S vyšší hustotou bitové mapy dosáhnete většinou kvalitnějšího prokreslení, vzhledem k transformaci do bitové mapy tiskárny však při některých hodnotách bpi může naopak dojít ke zhoršení kvality. Příliš vysoká hustota bitové mapy může způsobit překročení paměťových zdrojů systému a je hlášena chyba (obvykle „Parametr není správný“) po následujícím kroku. Nastavená hodnota bpi je pro většinu aplikací optimální a není ji třeba měnit.

5. stiskněte tlačítko New v rámečku Input, Otput and Conditions,
6. stiskněte tlačítko CreatePict v rámečku Input, Otput and Conditions,
7. vytvořte obrázek podle nápovědy k modulu pro kreslení obrázku.

Pro načtení existující prezentace

1. otevřete hlavní stránku,

2. klikněte na položku Presentation v základním menu,

3. upravte případně hustotu bitové mapy (viz výše),

4. stiskněte tlačítko Open v rámečku Input, Otput and Conditions,

5. vytvořte nebo modifikujte obrázek podle nápovědy k modulu pro kreslení obrázku.

Pro vytvoření prezentace na stránce formátu A4 a její tisk

1. Vytvořte novou prezentaci nebo načtěte existující prezentaci podle výše uvedených pokynů,
2. upravte velikost tisknutelné plochy v rámečku Printable Area (White), Attributes on Paper in mm,
3. upravte velikost a polohu obrázku na stránce v rámečku Picture, Attributes in mm on Paper,
4. přidejte případně text v rámečku Text, Attributes in mm on Paper, vlastnosti fontu případně nastavte nebo upravte prostřednictvím dialogu Font dialog, polohu textu na řádku upravte stisknutím tlačítka s příslušnou ikonou,
5. stiskněte tlačítko Print v rámečku Input, Output and Conditions.

Pro uložení prezentace

1. kliknutím na položku Save otevřete standardní dialog Windows pro uložení souboru,
2. vyberte knihovnu, do které chcete soubor uložit, a do příslušného místa dialogového okna napište název souboru,

Pozn.: Standardně se použije přípona ‘‘prp‘‘. Příponu neměňte.

3. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název souboru, který chcete přepsat s následným povolením přepsání.

Pro uložení prezentace

1. kliknutím na položku Delete otevřete standardní dialog Windows pro otevření souboru,
2. do příslušného místa dialogového okna napište název rušeného souboru,
3. dialog uzavřete tlačítkem pro uložení souboru nebo dvojitým kliknutím na název rušeného souboru.


Vytvoření obrázku prezentace

15.1 Vytvoření obrázku prezentace

Modul pro vytvoření obrázku pracuje se čtvercovou základní pracovní plochou (ZPP). Do obrázku lze samostatně vkládat

- osy a jejich popis,
- obrazce,
- čáry,
- body a jejich popis,
- texty a
- bitové mapy.

Každý z uvedených objektů lze samostatně vytvořit, modifikovat nebo zrušit beze změny ostatních objektů. K práci s jednotlivými typy objektů jsou určeny objektové manažery, v nichž mají jednotlivé objekty svá pořadová čísla a případně názvy. V dané chvíli se pracuje vždy jen s tím objektem, jehož pořadové číslo je nastaveno v aktivním manažeru. Vlastnosti objektu lze měnit změnou údajů v okéncích nebo tažením myší v ZPP se stisknutým levým nebo pravým tlačítkem. Pokud je stisknuto levé tlačítko myši, lze získat některé informace o objektu (např. název bodu) nebo objektem po ZPP posouvat (např. obrazce nebo bitové mapy) nebo rotovat (obrazce). Pokud je stisknuto pravé tlačítko myši, lze měnit tvar objektu (např. čáry nebo obrazce). ZPP lze průběžně ukládat nebo z posledního uložení načíst, popřípadě uložit do clipboardu pro další zpracování.

Po otevření modulu je znázorněn osový rámeček, pokud byla načtena prezentace, potom se automaticky znázorňuje obrázek této prezentace.

Vlastnosti ZPP a osového rámečku lze upravit v rámečku List and Basic Rectangle. Minimální a maximální hodnoty zobrazovaných veličin v jednotkách těchto veličin se nastaví v okéncích Xmin, Xmax, Ymin a Ymax. Vhodnou volbou těchto veličin v kombinaci s údaji v rámečku Axis lze dosáhnout požadovaného popisu os rámečku. Velikost a tvar osového rámečku na ZPP upravit změnou údajů v okéncích Left, Right, Top a Bottom, které udávají relativní vzdálenost os osového rámečku zleva, zprava, shora a zdola v %. Barvu ZPP lze změnit po stisknutí tlačítka BkGrd, barvu plochy osového rámečku po stisknutí tlačítka Rect a barvu os osového rámečku po stisknutí tlačítka Bord. Tloušťku čar osového rámečku lze nastavit v okénku PenPts. Další vlastnosti osového rámečku lze nastavit v objektovém manažeru Axis.

Přepínání mezi objektovými manažery se provádí bodovými tlačítky v rámečku Moduls. Aktivní je vždy jen zobrazený objektový manažer.

Pro vytvoření nové ZPP (vymazání) stiskněte tlačítko A-New v rámečku Input and Output of Actual Picture.

Pro otevření poslední uložené ZPP (souboru IntPesent.prs) stiskněte tlačítko A-Open v rámečku Input and Output of Actual Picture.

Pro uložení aktuální ZPP (souboru IntPesent.prs) stiskněte tlačítko A-Save v rámečku Input and Output of Actual Picture.

Pro uložení aktuální ZPP ve formě bitové mapy do Cliboardu stiskněte tlačítko A-Copy v rámečku Input and Output of Actual Picture.

Návrat do modulu Presentation proveďte tlačítkem Close. Pokud chcete obrázek uložit jako prezentaci, potvrďte jeho uložení.


Objektový manažer pro osy osového rámečku

15.2 Objektový manažer pro osy osového rámečku

Tímto manažerem lze měnit typ os, počet hodnotových značek a meziznaček na osách osového rámečku, font souřadnic a počet číslic za desetinnou tečkou, případně zavést exponenciální typ popisu os.

Pro změnu typu os a jejich popisu použijte zaškrtávací rámečky Box/Axis, Marks In/Out, popř. Least Mark Yes/No.

Pro změnu počtu hodnotových značek na osách X a Y použijte přepínače Divide X by a Divide Y by.

Meziznačky na osách X a Y vytvoříte zaškrtnutím políček InterMark X a InteMark Y, počet meziznaček upravte v okéncích Divide by.

Pro změnu fontu souřadnic stiskněte tlačítko Font Dialog.

Velikost písma upravte v okénku Font size.

Pro změnu počtu číslic za desetinnou tečkou použijte přepínače Digits X , resp. Digits Y. Formát je volen automaticky podle velikosti čísla. Pokud chcete vždy exponenciální formát, zaškrtněte příslušné políčko Exponent X nebo Exponent Y, pokud naopak chcete neexponciální formát s fixním počtem číslic za desetinnou tečkou, použijte záporné hodnoty přepínače Digits X , resp. Digits Y.


Objektový manažer pro obrazce

15.3 Objektový manažer pro obrazce

Objektový manažer má dvě části – obecnou (rámeček Shapes) a aktuální (rámeček Shape) vztahující se k aktuálnímu obrazci.

Pořadí aktuálního obrazce je dáno přepínačem s označením No.

Typ polygonu je dán přepínačem označeným –gon. Kruh je kódován hodnotou 0, kruhová výseč hodnotou 1, vrchlík hodnotou 2, vyšší hodnoty kódují polygon o příslušném počtu vrcholů. Velikost kruhové výseče nebo skosení vrchlíku upravte podle níže uvedených pokynů.

Natočení polygonu vůči základně ve stupních při vytvoření polygonu je dáno přepínačem Angle. Otočení je možno provést i dodatečně (viz níže).

Pro vytvoření obrazce

1. přepínačem pořadí nastavte nejnižší neobsazené pořadí,
2. přepínačem –gon zvolte typ obrazce,
3. umístěte kursor myši na ZPP do místa, kde má být střed obrazce,
4. klikněte levým tlačítkem myši.

Pro vytvoření nebo změnu orámování obrazce černou linkou

1. zaškrtněte (ohraničení je) nebo uvolněte (ohraničení není) políčko Border,
2. nastavte sousedním přepínačem tloušťku pera.

Pro změnu polohy aktuálního obrazce

3. bodovým přepínačem zvolte Translation,
4. umístěte kursor myši do středu obrazce a
5. obrazec táhněte myší se stisknutým levým tlačítkem na požadované místo.

Pro otočení aktuálního obrazce

1. bodovým přepínačem zvolte Rotation,
2. umístěte kursor myši mimo obrazec a
3. pohybujte myší se stisknutým levým tlačítkem ve směru osy x.

Pro změnu tvaru aktuálního polygonu

1. bodovým přepínačem zvolte Basic level,
2. umístěte kursor myši do blízkosti vrcholu, jehož polohy chcete změnit a
3. pohybem myší se stisknutým pravým tlačítkem nastavte požadovaný tvar.

Pro změnu velikosti výseče nebo uřezané části vrchlíku

1. bodovým přepínačem zvolte Basic level ,
2. umístěte kursor myši mimo obrazec a
3. pohybem myší se stisknutým pravým tlačítkem nastavte požadovaný rozměr.

Pro změnu kruhového tvaru na eliptický (kruh, výseč a vrchlík)

1. bodovým přepínačem zvolte Rotation,
2. umístěte kursor myši mimo obrazec a
3. pohybem myší se stisknutým pravým tlačítkem nastavte požadovaný rozměr.

Název aktuálního obrazce lze vytvořit v okénku Name rámečku Shape.

Pro změnu celkové velikosti aktuálního obrazce

1. v okénku Size v rámečku Shape nastavte změnu v % ,
2. stisknutím tlačítka Zoom v rámečku Shape změnu realizujte.

Pozn.: Novým stisknutím tlačítka Zoom se obrazec znovu změní v zadaném poměru.

Pro zrušení aktuálního obrazce stiskněte tlačítko Del.

Pro změnu výplně plochy aktuálního obrazce stiskněte tlačítko se zvolenou výplní v rámečku Shape.

Pro změnu barvy aktuálního obrazce stiskněte tlačítko se zvolenou barvou v rámečku Shape.


Objektový manažer pro čáry

15.4 Objektový manažer pro čáry

Objektový manažer má dvě části – obecnou (rámeček Lines) a aktuální (rámeček Line) vztahující se k aktuální čáře. Čáry je možno vytvářet jako spojnice mezi zobrazenými body (PictPoints), mezi skrytými body (HidePoints), nebo výpočtem podle zadané funkce(Function). Režim kreslení čar zvolte bodovými tlačítky v rámečku Lines. Režimy PictPoints a HidePoints mají společný přepínač pořadí aktuální čáry, režim Function má vlastní přepínač pořadí aktuální čáry.

Pořadí aktuální čáry je dáno přepínačem s označením No.

Pro vytvoření čáry v režimu PictPoints a HidePoints

1. v rámečku Lines zvolte bodovým tlačítkem příslušný režim,
2. přepínačem pořadí nastavte nejnižší neobsazené pořadí,
3. klikněte myší na ZPP a tažením se stisknutým levým tlačítkem umístěte konec čáry do požadovaného místa a pusťte tlačítko,
4. opakováním činnosti podle bodu 2 vytvářejte lomenou čáru,
5. pokud mají být body proloženy Bézierovou křivkou nebo splajnem, zvolte příslušný typ stisknutím tlačítka B (Bézier) nebo S (splajn) v rámečku Line. Umístěte kursor myši do prostoru mezi dvěma body (Bézier) nebo do blízkosti určitého bodu (splajn) a tažením myší se stisknutým pravým tlačítkem tvar čáry upravte podle potřeby.

Pro vytvoření čáry v režimu Function

1. v rámečku Lines zvolte bodovým tlačítkem režim Function,
2. přepínačem pořadí nastavte nejnižší neobsazené pořadí,
3. zadejte počáteční a koncovou hodnotu vysvětlující proměnné x do okének xBegin a xEnd,
4. do zobrazeného textového okénka napište rovnici čáry v jazyce Pascal ve tvaru Result::= … ; (např. Result:=x*x; ),
5. stiskněte tlačítko Calc.

Pro změnu polohy (souřadnic) řídícího bodu čáry v režimech PictPoints a HidePoints změňte u příslušného bodu údaj v tabulce a stiskněte Enter.

Pro zrušení aktuální čáry v režimech PictPoints a HidePoints stiskněte tlačítko Del.

Pro zrušení aktuální čáry v režimu Function vymažte obsah textového okénka.

Pro změnu tvaru aktuální čáry v režimu PictPoints a HidePoints

1. přepínačem No. nastavte pořadí aktuální čáry,
2. zvolte příslušný typ čáry stisknutím tlačítka B (Bézier) nebo S (splajn) v rámečku Line. Umístěte kursor myši do prostoru mezi dvěma body (Bézier) nebo do blízkosti určitého bodu (splajn) a tažením myší se stisknutým pravým tlačítkem tvar čáry upravte podle potřeby.

Název aktuální čáry lze vytvořit v okénku Name rámečku Line.

Tloušťku aktuální čáry lze změnit přepínačem PenSize v rámečku Line.

Pro změnu stylu aktuální čáry stiskněte tlačítko se zvoleným stylem v rámečku Line.

Pro změnu barvy aktuální čáry stiskněte tlačítko se zvolenou barvou v rámečku Line.


Objektový manažer pro body

15.5 Objektový manažer pro body

Objektový manažer má dvě části – obecnou (rámeček Points-x,y Values) a aktuální (rámeček Point) vztahující se k aktuálnímu bodu.

Pořadí aktuálního bodu je dáno přepínačem s označením No.

Pro zadání bodů

1. přepínačem pořadí nastavte nejnižší neobsazené pořadí (prázdná políčka tabulky),
2. postupně zadávejte x-ovou a y-ovou souřadnici bodu (automaticky se nastavuje po stisknutí tlačítka Enter).

Pro změnu polohy (souřadnic) bodu změňte u příslušného bodu údaj v tabulce a stiskněte Enter.

Pro vypuštění bodů zrušte údaje o souřadnicích bodu.

Název aktuálního bodu lze vytvořit v okénku Name rámečku Point.

Velikost aktuálního bodu lze změnit přepínačem Size v rámečku Point.

Tloušťku čáry aktuálního bodu lze změnit přepínačem PenSize v rámečku Point.

Pro změnu stylu bodu stiskněte tlačítko se zvoleným stylem v rámečku Point.

Pro změnu barvy aktuálního bodu stiskněte tlačítko se zvolenou barvou v rámečku Point.


Objektový manažer pro texty

15.6 Objektový manažer pro texty

Pořadí aktuálního textu je dáno přepínačem s označením No.

Pro zadání textu

1. přepínačem pořadí nastavte nejnižší neobsazené pořadí (prázdné textové políčko),
2. podle potřeby změňte font výběrem z nabídky Font name nebo i další vlastnosti fontu stisknutím tlačítka pro fontový dialog (3F),
3. napište text (zobrazuje se v textovém políčku),
4. před psaním dolních indexů stiskněte tlačítko x2, před psaním horních indexů tlačítko x2,
5. klikněte levým tlačítkem myši na ZPP a tažením umístěte text do požadovaného místa.

Pro změnu vlastností textu

1. přepínačem pořadí nebo kliknutím levým tlačítkem myši na text v ZPP nastavte aktuální text,
2. myší označte text v textovém políčku a prostřednictvím ovládacích prvků v rámečku Text změňte vlastnosti.

Pro změnu velikosti textu na ZPP změňte myší polohu posuvníku prvku TextSize.

Pro změnu polohy aktuálního textu na ZPP

1. kliknutím levým tlačítkem myši na text v ZPP nastavte aktuální text a
2. tažením myší jej umístěte do žádaného místa.

Pro odstranění textu vymažte text v textovém políčku.

Pro vytvoření půlkruhového, kruhového nebo šikmého textu

1. přepínačem pořadí nebo kliknutím levým tlačítkem myši na text v ZPP nastavte aktuální text,
2. zvolte tlačítkem v rámečku Text Arrange požadované uspořádání (default vodorovné stojaté),
3. do okénka podle popisu zadejte hodnotu poloměru v jednotkách osy X nebo úhel ve stupních,
4. tažením myší umístěte útvar do žádaného místa.


Objektový manažer pro obrázky

15.7 Objektový manažer pro obrázky

Pořadí aktuálního obrázku je dáno přepínačem s označením No. V rámečku Pictures. Všechny další pokyny se týkají vždy tohoto aktuálního obrázku.

Pro vytvoření obrázku na ZPP

1. v rámečku Pictures přepínačem pořadí s označením No. nastavte nejnižší neobsazené pořadí,
2. bodovým přepínačem zvolte, zda má být aktuální bitová mapa na pozadí (On bottom) nebo nahoře (On top),
3. stisknutím tlačítka Paste v rámečku Pictures načtěte obrázek z Clipboardu (kam byla uložena jiným aktivním programem) nebo stisknutím tlačítka Open (ve formátech .bmp, .jpg, gif, .ico, .wmf nebo .emf) ze souboru (v okénku se objeví náhled aktuální bitové mapy),

Pozn.: Všechny obrázky jsou jednotně transformovány na 2/3 velikosti ZPPa 24bitové kódováni barev.

4. klikněte myší s levým stisknutým tlačítkem na ZPP a tažením umístěte obrázek do požadovaného místa.

Pro zobrazení průhledného obrázku zaškrtněte políčko Transp v rámečku Pictures.

Pozn.: Barva průhledného pozadí je implicitně odvozena od barvy bodu (pixelu) v levém horním rohu obrázku. Barvu, která bude průhledná lze měnit (viz níže).

Kreslení rámečku lze vypnout uvolněním políčka Axis v rámečku Pictures.

Pro odstranění obrázku stiskněte tlačítko Delete v rámečku Pictures.

Pozn.: Pořadí bitových map se automaticky upraví.

Pro uložení obrázku do Clipboardu (paměti) stiskněte tlačítko Copy v rámečku Pictures, pro uložení do souboru vyvolejte standardní dialog stisknutím tlačítka Save v témže rámečku.

Pro změnu šířky a výšky obrázku zadejte do okének přepínačů označených % width (šířka) a % height (výška) v rámečku Shape and angles hodnoty, na něž se má velikost obrázku změnit (základ je 100%).

Pro vertikální a horizontální zkosení obrázku zadejte do okének přepínačů označených % vert-skew a % horiz-skew v rámečku Shape and angles hodnoty, o něž se má obrázek zkosit (základ je 100%).

Pro otočení obrázku zadejte do okénka přepínače označeného RotAngle v rámečku Shape and angles úhel, o nějž se má obrázek otočit, směr je dán znaménkem úhlu.

Pozn.: Změny šířky, výšky, zkosení a otočení obrázku se vypočítávají z původního obrázku, lze je proto libovolně a opakovaně provést bez ztráty kvality. Některé operace se proto navzájem vylučují.

Pro zrcadlení obrázku podle vertikální roviny stiskněte tlačítko Mirror v rámečku Shape and angles.

Pro změnu určité barvy v obrázku na jinou barvu

1. umístěte kursor myši na místo s barvou, kterou chcete změnit,
2. klikněte pravým tlačítkem myši, přičemž vybraná barva se zobrazí vlevo v rámečku Colors,
3. stisknutím tlačítka Color otevřete dialog pro editování barev,
4. kliknutím vyberte barvu a dejte OK.

Pro změnu barevného tónu obrázku

1. stiskněte tlačítko Tone v rámečku Colors
2. kliknutím vyberte barvu a dejte OK.

Pozn.: Tento proces je ireverzibilní a může vést ke ztrátě kvality obrázku.

Pro změnu barvy v obrázku použité jako průhledné na jinou barvu

1. umístěte kursor myši na místo s barvou, kterou chcete použít jako průhlednou,
2. klikněte pravým tlačítkem myši, přičemž vybraná barva se zobrazí vlevo v rámečku Colors,
3. stisknutím tlačítka Transparent v rámečku Colors proveďte záměnu průhledné barvy.

Pro změnu barvy ve vybraném rámečku na jinou barvu

1. umístěte kursor myši do budoucího levého horního rohu,
2. stiskněte pravé tlačítko myši a táhnutím vytvořte rámeček,
3. stiskněte tlačítko Rectangle v rámečku Colors,
4. stisknutím tlačítka Color otevřete dialog pro editování barev,
5. kliknutím vyberte barvu a dejte OK.

Pro změnu jasu obrázku zadejte do okénka přepínače označeného Brightness rámečku Colors hodnotu jasu (základ 128, maximum 255, minimum 0).

Pro změnu kontrastu obrázku zadejte do okénka přepínače označeného Contrast v rámečku Colors hodnotu kontrastu (základ 128, maximum 255, minimum 0).

Pro přeměnu barev obrázku na odstíny šedé stiskněte tlačítko Monitor Gray v rámečku Colors.

Pozn.: Tento proces je ireverzibilní. Odstíny šedé jsou výsledkem skladby barev, obrazec není složen z černých a bílých bodů!

Pro převedení obrázku na černobílý obrazec pro černobílou tiskárnu stiskněte tlačítko Printer Gray v rámečku Colors.

Pozn.: Tento proces je ireverzibilní. Obrazec je složen z černých a bílých bodů a je jej možno tisknout na tiskárně neumožňující tisk polotónů.

Pro vystřihnutí části obrázku vyznačeného rámečkem

1. umístěte kursor myši do budoucího levého horního rohu,
2. stiskněte pravé tlačítko myši a táhnutím vytvořte rámeček,
3. stiskněte tlačítko Copy v rámečku Scrap.

Pozn.: Tento proces je ireverzibilní. Vystřihnutá část je uložena místo původní.

Pro vystřihnutí části obrázku vyznačeného libovolným tvarem

1. na ploše nakreslete černou barvou libovolné obrazce nebo text, které vytvoří masku pro kopírované části obrázku,
2. zaškrtněte políčko Mask v rámečku Scrap,
3. myší se stisknutým levým tlačítkem pohybujte obrázkem tak, aby byly mimo černou plochu zobrazeny požadované části obrázku,
4. stiskněte tlačítko Copy v rámečku Scrap.

Pozn.: Tento proces je ireverzibilní. Vystřihnutá část je uložena místo původní.


.topic 4800
Enter topic text here.
.topic 4900
Enter topic text here.